/*


 */
package edu.iesdamiahuguet.gestcentre.ejb;

import java.util.List;
import javax.persistence.EntityManager;

/**
 *
 * @author Climent Cànaves
 */
public abstract class GestorEntitats<Entitat> {
    private Class<Entitat> classeEntitat;

    public GestorEntitats(Class<Entitat> classeEntitat) {
        this.classeEntitat = classeEntitat;
    }

    protected abstract EntityManager getGestor();

    
    public void inicialitza(Entitat entitat) {}
        
    
    
    public void crea(Entitat entitat) {
        getGestor().persist(entitat);
    }

    public void actualitza(Entitat entitat) {
        getGestor().merge(entitat);
    }

    public void elimina(Entitat entitat) {
        getGestor().remove(getGestor().merge(entitat));
    }

    public Entitat cerca(Object id) {
        return getGestor().find(classeEntitat, id);
    }

    public List<Entitat> cercaTots() {
        javax.persistence.criteria.CriteriaQuery cq = getGestor().getCriteriaBuilder().createQuery();
        cq.select(cq.from(classeEntitat));
        return getGestor().createQuery(cq).getResultList();
    }

    public List<Entitat> cercaTots(int inici, int fi) {
        javax.persistence.criteria.CriteriaQuery cq = getGestor().getCriteriaBuilder().createQuery();
        cq.select(cq.from(classeEntitat));
        javax.persistence.Query q = getGestor().createQuery(cq);
        q.setMaxResults(fi - inici);
        q.setFirstResult(inici);
        return q.getResultList();
    }

    public int compta() {
        javax.persistence.criteria.CriteriaQuery cq = getGestor().getCriteriaBuilder().createQuery();
        javax.persistence.criteria.Root<Entitat> rt = cq.from(classeEntitat);
        cq.select(getGestor().getCriteriaBuilder().count(rt));
        javax.persistence.Query q = getGestor().createQuery(cq);
        return ((Long) q.getSingleResult()).intValue();
    }
    
}
