package edu.iesdamiahuguet.gestcentre.ejb;

import edu.iesdamiahuguet.gestcentre.entitats.RegistreControl;
import edu.iesdamiahuguet.gestcentre.entitats.Usuari;
import edu.iesdamiahuguet.gestcentre.utils.GestorSessio;
import java.util.Date;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author Climent Cànaves
 */
@Stateless
public class GestorRegistresControl extends GestorEntitats<RegistreControl> {
    @PersistenceContext(unitName = "edu.iesdamiahuguet_GestCentre_war_1.0-SNAPSHOTPU")
    private EntityManager gestor;

    @Override
    protected EntityManager getGestor() {
        return gestor;
    }

    public GestorRegistresControl() {
        super(RegistreControl.class);
    }
    
    @Override
    public void crea(RegistreControl entitat) {
        // Establim el valor objectiu
        entitat.setValorObjectiu(entitat.getIndicador().getValorObjectiu());
        
        super.crea(entitat);
    }
    
    @Override
    public void inicialitza(RegistreControl entitat) {
        entitat.setAutor((Usuari)(GestorSessio.getAtribut("usuari")));
        entitat.setData(new Date());
    }
    
}
