package edu.iesdamiahuguet.gestcentre.ejb;

import edu.iesdamiahuguet.gestcentre.entitats.Usuari;
import java.util.Date;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 *
 * @author Climent Cànaves
 */
@Stateless
public class GestorUsuaris extends GestorEntitats<Usuari> {
    @PersistenceContext(unitName = "edu.iesdamiahuguet_GestCentre_war_1.0-SNAPSHOTPU")
    private EntityManager gestor;

    @Override
    protected EntityManager getGestor() {
        return gestor;
    }

    public GestorUsuaris() {
        super(Usuari.class);
    }
    
    public Usuari autentica(String usuari, String clau) {
        Query query = gestor.createNamedQuery("Usuari.autentica");
        query.setParameter("id", usuari.toLowerCase());
        query.setParameter("clau", clau);
        
        try {
            return  (Usuari)(query.getSingleResult());
        } catch (Exception e) {
            
            return null;
        }
    }
    
    @Override
    public void inicialitza(Usuari entitat) {
        entitat.setDataAlta(new Date());
    }
    
}
