/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package edu.iesdamiahuguet.gestcentre.entitats;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author climentc
 */
@Entity
@Table(name = "Baixa_Item_Inventari")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "BaixaItemInventari.findAll", query = "SELECT b FROM BaixaItemInventari b"),
    @NamedQuery(name = "BaixaItemInventari.findById", query = "SELECT b FROM BaixaItemInventari b WHERE b.id = :id"),
    @NamedQuery(name = "BaixaItemInventari.findByDataBaixa", query = "SELECT b FROM BaixaItemInventari b WHERE b.dataBaixa = :dataBaixa")})
public class BaixaItemInventari implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "id")
    private Integer id;
    @Basic(optional = false)
    @NotNull
    @Column(name = "data_baixa")
    @Temporal(TemporalType.TIMESTAMP)
    private Date dataBaixa;
    @Lob
    @Size(max = 65535)
    @Column(name = "motiu")
    private String motiu;
    @JoinColumn(name = "id", referencedColumnName = "id", insertable = false, updatable = false)
    @OneToOne(optional = false)
    private ItemInventari itemInventari;
    @JoinColumn(name = "autor", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private Usuari autor;

    public BaixaItemInventari() {
    }

    public BaixaItemInventari(Integer id) {
        this.id = id;
    }

    public BaixaItemInventari(Integer id, Date dataBaixa) {
        this.id = id;
        this.dataBaixa = dataBaixa;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Date getDataBaixa() {
        return dataBaixa;
    }

    public void setDataBaixa(Date dataBaixa) {
        this.dataBaixa = dataBaixa;
    }

    public String getMotiu() {
        return motiu;
    }

    public void setMotiu(String motiu) {
        this.motiu = motiu;
    }

    public ItemInventari getItemInventari() {
        return itemInventari;
    }

    public void setItemInventari(ItemInventari itemInventari) {
        this.itemInventari = itemInventari;
    }

    public Usuari getAutor() {
        return autor;
    }

    public void setAutor(Usuari autor) {
        this.autor = autor;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof BaixaItemInventari)) {
            return false;
        }
        BaixaItemInventari other = (BaixaItemInventari) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "edu.iesdamiahuguet.gestcentre.entitats.BaixaItemInventari[ id=" + id + " ]";
    }
    
}
