/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package edu.iesdamiahuguet.gestcentre.entitats;

import java.io.Serializable;
import java.util.List;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author climentc
 */
@Entity
@Table(name = "Categoria_Inventari")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "CategoriaInventari.findAll", query = "SELECT c FROM CategoriaInventari c"),
    @NamedQuery(name = "CategoriaInventari.findById", query = "SELECT c FROM CategoriaInventari c WHERE c.id = :id"),
    @NamedQuery(name = "CategoriaInventari.findByNom", query = "SELECT c FROM CategoriaInventari c WHERE c.nom = :nom"),
    @NamedQuery(name = "CategoriaInventari.findByDescripcio", query = "SELECT c FROM CategoriaInventari c WHERE c.descripcio = :descripcio")})
public class CategoriaInventari implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @NotNull
    @Column(name = "id")
    private Integer id;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 50)
    @Column(name = "nom")
    private String nom;
    @Size(max = 255)
    @Column(name = "descripcio")
    private String descripcio;
    @Lob
    @Size(max = 65535)
    @Column(name = "manteniment")
    private String manteniment;
    @OneToMany(mappedBy = "categoria")
    private List<RevisioInventari> revisioInventariList;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "categoria")
    private List<ItemInventari> itemInventariList;
    @JoinColumn(name = "grup_categories", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private GrupCategoriesInventari grupCategories;

    public CategoriaInventari() {
    }

    public CategoriaInventari(Integer id) {
        this.id = id;
    }

    public CategoriaInventari(Integer id, String nom) {
        this.id = id;
        this.nom = nom;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public String getDescripcio() {
        return descripcio;
    }

    public void setDescripcio(String descripcio) {
        this.descripcio = descripcio;
    }

    public String getManteniment() {
        return manteniment;
    }

    public void setManteniment(String manteniment) {
        this.manteniment = manteniment;
    }

    @XmlTransient
    public List<RevisioInventari> getRevisioInventariList() {
        return revisioInventariList;
    }

    public void setRevisioInventariList(List<RevisioInventari> revisioInventariList) {
        this.revisioInventariList = revisioInventariList;
    }

    @XmlTransient
    public List<ItemInventari> getItemInventariList() {
        return itemInventariList;
    }

    public void setItemInventariList(List<ItemInventari> itemInventariList) {
        this.itemInventariList = itemInventariList;
    }

    public GrupCategoriesInventari getGrupCategories() {
        return grupCategories;
    }

    public void setGrupCategories(GrupCategoriesInventari grupCategories) {
        this.grupCategories = grupCategories;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof CategoriaInventari)) {
            return false;
        }
        CategoriaInventari other = (CategoriaInventari) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "edu.iesdamiahuguet.gestcentre.entitats.CategoriaInventari[ id=" + id + " ]";
    }
    
}
