/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package edu.iesdamiahuguet.gestcentre.entitats;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author climentc
 */
@Entity
@Table(name = "Document")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Document.findAll", query = "SELECT d FROM Document d"),
    @NamedQuery(name = "Document.findById", query = "SELECT d FROM Document d WHERE d.id = :id"),
    @NamedQuery(name = "Document.findByCodi", query = "SELECT d FROM Document d WHERE d.codi = :codi"),
    @NamedQuery(name = "Document.findByNom", query = "SELECT d FROM Document d WHERE d.nom = :nom"),
    @NamedQuery(name = "Document.findByData", query = "SELECT d FROM Document d WHERE d.data = :data")})
public class Document implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @NotNull
    @Column(name = "id")
    private Integer id;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 8)
    @Column(name = "codi")
    private String codi;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 255)
    @Column(name = "nom")
    private String nom;
    @Basic(optional = false)
    @NotNull
    @Lob
    @Size(min = 1, max = 65535)
    @Column(name = "descripcio")
    private String descripcio;
    @Lob
    @Column(name = "fitxer")
    private byte[] fitxer;
    @Basic(optional = false)
    @NotNull
    @Column(name = "data")
    @Temporal(TemporalType.TIMESTAMP)
    private Date data;
    @JoinColumn(name = "proces", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private Proces proces;
    @JoinColumn(name = "autor", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private Usuari autor;
    @JoinColumn(name = "tipus", referencedColumnName = "codi")
    @ManyToOne(optional = false)
    private TipusDocument tipus;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "document")
    private List<RevisioDocument> revisioDocumentList;

    public Document() {
    }

    public Document(Integer id) {
        this.id = id;
    }

    public Document(Integer id, String codi, String nom, String descripcio, Date data) {
        this.id = id;
        this.codi = codi;
        this.nom = nom;
        this.descripcio = descripcio;
        this.data = data;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCodi() {
        return codi;
    }

    public void setCodi(String codi) {
        this.codi = codi;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public String getDescripcio() {
        return descripcio;
    }

    public void setDescripcio(String descripcio) {
        this.descripcio = descripcio;
    }

    public byte[] getFitxer() {
        return fitxer;
    }

    public void setFitxer(byte[] fitxer) {
        this.fitxer = fitxer;
    }

    public Date getData() {
        return data;
    }

    public void setData(Date data) {
        this.data = data;
    }

    public Proces getProces() {
        return proces;
    }

    public void setProces(Proces proces) {
        this.proces = proces;
    }

    public Usuari getAutor() {
        return autor;
    }

    public void setAutor(Usuari autor) {
        this.autor = autor;
    }

    public TipusDocument getTipus() {
        return tipus;
    }

    public void setTipus(TipusDocument tipus) {
        this.tipus = tipus;
    }

    @XmlTransient
    public List<RevisioDocument> getRevisioDocumentList() {
        return revisioDocumentList;
    }

    public void setRevisioDocumentList(List<RevisioDocument> revisioDocumentList) {
        this.revisioDocumentList = revisioDocumentList;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Document)) {
            return false;
        }
        Document other = (Document) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "edu.iesdamiahuguet.gestcentre.entitats.Document[ id=" + id + " ]";
    }
    
}
