/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package edu.iesdamiahuguet.gestcentre.entitats;

import java.io.Serializable;
import java.util.List;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author climentc
 */
@Entity
@Table(name = "Grup_Usuaris")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "GrupUsuaris.findAll", query = "SELECT g FROM GrupUsuaris g"),
    @NamedQuery(name = "GrupUsuaris.findById", query = "SELECT g FROM GrupUsuaris g WHERE g.id = :id"),
    @NamedQuery(name = "GrupUsuaris.findByNom", query = "SELECT g FROM GrupUsuaris g WHERE g.nom = :nom"),
    @NamedQuery(name = "GrupUsuaris.findByDescripcio", query = "SELECT g FROM GrupUsuaris g WHERE g.descripcio = :descripcio")})
public class GrupUsuaris implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 20)
    @Column(name = "id")
    private String id;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 50)
    @Column(name = "nom")
    private String nom;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 255)
    @Column(name = "descripcio")
    private String descripcio;
    @ManyToMany(cascade={CascadeType.ALL}, mappedBy = "llistaGrupsAssignats")
    private List<Usuari> llistaUsuarisAssignats;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "responsable")
    private List<Proces> procesList;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "responsable")
    private List<IndicadorControl> indicadorControlList;

    public GrupUsuaris() {
    }

    public GrupUsuaris(String id) {
        this.id = id;
    }

    public GrupUsuaris(String id, String nom, String descripcio) {
        this.id = id;
        this.nom = nom;
        this.descripcio = descripcio;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public String getDescripcio() {
        return descripcio;
    }

    public void setDescripcio(String descripcio) {
        this.descripcio = descripcio;
    }

    @XmlTransient
    public List<Usuari> getLlistaUsuarisAssignats() {
        return llistaUsuarisAssignats;
    }

    public void setLlistaUsuarisAssignats(List<Usuari> llistaUsuarisAssignats) {
        this.llistaUsuarisAssignats = llistaUsuarisAssignats;
        
        for (Usuari usuari : llistaUsuarisAssignats) {
            usuari.getLlistaGrupsAssignats().add(this);
        } 
    }

    @XmlTransient
    public List<Proces> getProcesList() {
        return procesList;
    }

    public void setProcesList(List<Proces> procesList) {
        this.procesList = procesList;
    }

    @XmlTransient
    public List<IndicadorControl> getIndicadorControlList() {
        return indicadorControlList;
    }

    public void setIndicadorControlList(List<IndicadorControl> indicadorControlList) {
        this.indicadorControlList = indicadorControlList;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof GrupUsuaris)) {
            return false;
        }
        GrupUsuaris other = (GrupUsuaris) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "edu.iesdamiahuguet.gestcentre.entitats.GrupUsuaris[ id=" + id + " ]";
    }
    
}
