/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package edu.iesdamiahuguet.gestcentre.entitats;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author climentc
 */
@Entity
@Table(name = "Incidencia_Inventari")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "IncidenciaInventari.findAll", query = "SELECT i FROM IncidenciaInventari i"),
    @NamedQuery(name = "IncidenciaInventari.findById", query = "SELECT i FROM IncidenciaInventari i WHERE i.id = :id"),
    @NamedQuery(name = "IncidenciaInventari.findByDataObertura", query = "SELECT i FROM IncidenciaInventari i WHERE i.dataObertura = :dataObertura"),
    @NamedQuery(name = "IncidenciaInventari.findByDataTancament", query = "SELECT i FROM IncidenciaInventari i WHERE i.dataTancament = :dataTancament")})
public class IncidenciaInventari implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @NotNull
    @Column(name = "id")
    private Integer id;
    @Basic(optional = false)
    @NotNull
    @Column(name = "data_obertura")
    @Temporal(TemporalType.TIMESTAMP)
    private Date dataObertura;
    @Basic(optional = false)
    @NotNull
    @Lob
    @Size(min = 1, max = 65535)
    @Column(name = "descripcio")
    private String descripcio;
    @Lob
    @Size(max = 65535)
    @Column(name = "observacions")
    private String observacions;
    @Column(name = "data_tancament")
    @Temporal(TemporalType.TIMESTAMP)
    private Date dataTancament;
    @Lob
    @Size(max = 65535)
    @Column(name = "actuacio")
    private String actuacio;
    @JoinColumn(name = "autor_tancament", referencedColumnName = "id")
    @ManyToOne
    private Usuari autorTancament;
    @JoinColumn(name = "autor_obertura", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private Usuari autorObertura;
    @JoinColumn(name = "ubicacio", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private UbicacioInventari ubicacio;
    @JoinColumn(name = "item", referencedColumnName = "id")
    @ManyToOne
    private ItemInventari item;

    public IncidenciaInventari() {
    }

    public IncidenciaInventari(Integer id) {
        this.id = id;
    }

    public IncidenciaInventari(Integer id, Date dataObertura, String descripcio) {
        this.id = id;
        this.dataObertura = dataObertura;
        this.descripcio = descripcio;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Date getDataObertura() {
        return dataObertura;
    }

    public void setDataObertura(Date dataObertura) {
        this.dataObertura = dataObertura;
    }

    public String getDescripcio() {
        return descripcio;
    }

    public void setDescripcio(String descripcio) {
        this.descripcio = descripcio;
    }

    public String getObservacions() {
        return observacions;
    }

    public void setObservacions(String observacions) {
        this.observacions = observacions;
    }

    public Date getDataTancament() {
        return dataTancament;
    }

    public void setDataTancament(Date dataTancament) {
        this.dataTancament = dataTancament;
    }

    public String getActuacio() {
        return actuacio;
    }

    public void setActuacio(String actuacio) {
        this.actuacio = actuacio;
    }

    public Usuari getAutorTancament() {
        return autorTancament;
    }

    public void setAutorTancament(Usuari autorTancament) {
        this.autorTancament = autorTancament;
    }

    public Usuari getAutorObertura() {
        return autorObertura;
    }

    public void setAutorObertura(Usuari autorObertura) {
        this.autorObertura = autorObertura;
    }

    public UbicacioInventari getUbicacio() {
        return ubicacio;
    }

    public void setUbicacio(UbicacioInventari ubicacio) {
        this.ubicacio = ubicacio;
    }

    public ItemInventari getItem() {
        return item;
    }

    public void setItem(ItemInventari item) {
        this.item = item;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof IncidenciaInventari)) {
            return false;
        }
        IncidenciaInventari other = (IncidenciaInventari) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "edu.iesdamiahuguet.gestcentre.entitats.IncidenciaInventari[ id=" + id + " ]";
    }
    
}
