/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package edu.iesdamiahuguet.gestcentre.entitats;

import java.io.Serializable;
import java.util.List;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author climentc
 */
@Entity
@Table(name = "Indicador_Control")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "IndicadorControl.findAll", query = "SELECT i FROM IndicadorControl i"),
    @NamedQuery(name = "IndicadorControl.findById", query = "SELECT i FROM IndicadorControl i WHERE i.id = :id"),
    @NamedQuery(name = "IndicadorControl.findByCodi", query = "SELECT i FROM IndicadorControl i WHERE i.codi = :codi"),
    @NamedQuery(name = "IndicadorControl.findByNom", query = "SELECT i FROM IndicadorControl i WHERE i.nom = :nom"),
    @NamedQuery(name = "IndicadorControl.findByDescripcio", query = "SELECT i FROM IndicadorControl i WHERE i.descripcio = :descripcio"),
    @NamedQuery(name = "IndicadorControl.findByValorObjectiu", query = "SELECT i FROM IndicadorControl i WHERE i.valorObjectiu = :valorObjectiu"),
    @NamedQuery(name = "IndicadorControl.findByObsolet", query = "SELECT i FROM IndicadorControl i WHERE i.obsolet = :obsolet")})
public class IndicadorControl implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @NotNull
    @Column(name = "id")
    private Integer id;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 6)
    @Column(name = "codi")
    private String codi;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 45)
    @Column(name = "nom")
    private String nom;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 255)
    @Column(name = "descripcio")
    private String descripcio;
    @Basic(optional = false)
    @NotNull
    @Column(name = "valorObjectiu")
    private int valorObjectiu;
    @Column(name = "obsolet")
    private Boolean obsolet;
    @JoinColumn(name = "responsable", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private GrupUsuaris responsable;
    @JoinColumn(name = "proces", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private Proces proces;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "indicador")
    private List<RegistreControl> registreControlList;

    public IndicadorControl() {
    }

    public IndicadorControl(Integer id) {
        this.id = id;
    }

    public IndicadorControl(Integer id, String codi, String nom, String descripcio, int valorObjectiu) {
        this.id = id;
        this.codi = codi;
        this.nom = nom;
        this.descripcio = descripcio;
        this.valorObjectiu = valorObjectiu;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCodi() {
        return codi;
    }

    public void setCodi(String codi) {
        this.codi = codi;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public String getDescripcio() {
        return descripcio;
    }

    public void setDescripcio(String descripcio) {
        this.descripcio = descripcio;
    }

    public int getValorObjectiu() {
        return valorObjectiu;
    }

    public void setValorObjectiu(int valorObjectiu) {
        this.valorObjectiu = valorObjectiu;
    }

    public Boolean getObsolet() {
        return obsolet;
    }

    public void setObsolet(Boolean obsolet) {
        this.obsolet = obsolet;
    }

    public GrupUsuaris getResponsable() {
        return responsable;
    }

    public void setResponsable(GrupUsuaris responsable) {
        this.responsable = responsable;
    }

    public Proces getProces() {
        return proces;
    }

    public void setProces(Proces proces) {
        this.proces = proces;
    }

    @XmlTransient
    public List<RegistreControl> getRegistreControlList() {
        return registreControlList;
    }

    public void setRegistreControlList(List<RegistreControl> registreControlList) {
        this.registreControlList = registreControlList;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof IndicadorControl)) {
            return false;
        }
        IndicadorControl other = (IndicadorControl) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "edu.iesdamiahuguet.gestcentre.entitats.IndicadorControl[ id=" + id + " ]";
    }
    
}
