/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package edu.iesdamiahuguet.gestcentre.entitats;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author climentc
 */
@Entity
@Table(name = "Item_Inventari")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "ItemInventari.findAll", query = "SELECT i FROM ItemInventari i"),
    @NamedQuery(name = "ItemInventari.findById", query = "SELECT i FROM ItemInventari i WHERE i.id = :id"),
    @NamedQuery(name = "ItemInventari.findByNom", query = "SELECT i FROM ItemInventari i WHERE i.nom = :nom"),
    @NamedQuery(name = "ItemInventari.findByDataAlta", query = "SELECT i FROM ItemInventari i WHERE i.dataAlta = :dataAlta"),
    @NamedQuery(name = "ItemInventari.findByUnitats", query = "SELECT i FROM ItemInventari i WHERE i.unitats = :unitats")})
public class ItemInventari implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @NotNull
    @Column(name = "id")
    private Integer id;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 45)
    @Column(name = "nom")
    private String nom;
    @Lob
    @Size(max = 65535)
    @Column(name = "descripcio")
    private String descripcio;
    @Lob
    @Size(max = 65535)
    @Column(name = "observacions")
    private String observacions;
    @Basic(optional = false)
    @NotNull
    @Column(name = "data_alta")
    @Temporal(TemporalType.TIMESTAMP)
    private Date dataAlta;
    @Basic(optional = false)
    @NotNull
    @Column(name = "unitats")
    private int unitats;
    @OneToOne(cascade = CascadeType.ALL, mappedBy = "itemInventari")
    private BaixaItemInventari baixaItemInventari;
    @JoinColumn(name = "proveidor", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private ProveidorInventari proveidor;
    @JoinColumn(name = "categoria", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private CategoriaInventari categoria;
    @JoinColumn(name = "propietari", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private PropietariInventari propietari;
    @JoinColumn(name = "autor", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private Usuari autor;
    @JoinColumn(name = "ubicacio", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private UbicacioInventari ubicacio;
    @OneToMany(mappedBy = "item")
    private List<IncidenciaInventari> incidenciaInventariList;

    public ItemInventari() {
    }

    public ItemInventari(Integer id) {
        this.id = id;
    }

    public ItemInventari(Integer id, String nom, Date dataAlta, int unitats) {
        this.id = id;
        this.nom = nom;
        this.dataAlta = dataAlta;
        this.unitats = unitats;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public String getDescripcio() {
        return descripcio;
    }

    public void setDescripcio(String descripcio) {
        this.descripcio = descripcio;
    }

    public String getObservacions() {
        return observacions;
    }

    public void setObservacions(String observacions) {
        this.observacions = observacions;
    }

    public Date getDataAlta() {
        return dataAlta;
    }

    public void setDataAlta(Date dataAlta) {
        this.dataAlta = dataAlta;
    }

    public int getUnitats() {
        return unitats;
    }

    public void setUnitats(int unitats) {
        this.unitats = unitats;
    }

    public BaixaItemInventari getBaixaItemInventari() {
        return baixaItemInventari;
    }

    public void setBaixaItemInventari(BaixaItemInventari baixaItemInventari) {
        this.baixaItemInventari = baixaItemInventari;
    }

    public ProveidorInventari getProveidor() {
        return proveidor;
    }

    public void setProveidor(ProveidorInventari proveidor) {
        this.proveidor = proveidor;
    }

    public CategoriaInventari getCategoria() {
        return categoria;
    }

    public void setCategoria(CategoriaInventari categoria) {
        this.categoria = categoria;
    }

    public PropietariInventari getPropietari() {
        return propietari;
    }

    public void setPropietari(PropietariInventari propietari) {
        this.propietari = propietari;
    }

    public Usuari getAutor() {
        return autor;
    }

    public void setAutor(Usuari autor) {
        this.autor = autor;
    }

    public UbicacioInventari getUbicacio() {
        return ubicacio;
    }

    public void setUbicacio(UbicacioInventari ubicacio) {
        this.ubicacio = ubicacio;
    }

    @XmlTransient
    public List<IncidenciaInventari> getIncidenciaInventariList() {
        return incidenciaInventariList;
    }

    public void setIncidenciaInventariList(List<IncidenciaInventari> incidenciaInventariList) {
        this.incidenciaInventariList = incidenciaInventariList;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof ItemInventari)) {
            return false;
        }
        ItemInventari other = (ItemInventari) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "edu.iesdamiahuguet.gestcentre.entitats.ItemInventari[ id=" + id + " ]";
    }
    
}
