/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package edu.iesdamiahuguet.gestcentre.entitats;

import java.io.Serializable;
import java.util.List;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author climentc
 */
@Entity
@Table(name = "Macroproces")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Macroproces.findAll", query = "SELECT m FROM Macroproces m"),
    @NamedQuery(name = "Macroproces.findById", query = "SELECT m FROM Macroproces m WHERE m.id = :id"),
    @NamedQuery(name = "Macroproces.findByCodi", query = "SELECT m FROM Macroproces m WHERE m.codi = :codi"),
    @NamedQuery(name = "Macroproces.findByNom", query = "SELECT m FROM Macroproces m WHERE m.nom = :nom"),
    @NamedQuery(name = "Macroproces.findByDescripcio", query = "SELECT m FROM Macroproces m WHERE m.descripcio = :descripcio")})
public class Macroproces implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @NotNull
    @Column(name = "id")
    private Integer id;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "codi")
    private String codi;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 45)
    @Column(name = "nom")
    private String nom;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 255)
    @Column(name = "descripcio")
    private String descripcio;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "macroproces")
    private List<Proces> procesList;

    public Macroproces() {
    }

    public Macroproces(Integer id) {
        this.id = id;
    }

    public Macroproces(Integer id, String codi, String nom, String descripcio) {
        this.id = id;
        this.codi = codi;
        this.nom = nom;
        this.descripcio = descripcio;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCodi() {
        return codi;
    }

    public void setCodi(String codi) {
        this.codi = codi;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public String getDescripcio() {
        return descripcio;
    }

    public void setDescripcio(String descripcio) {
        this.descripcio = descripcio;
    }

    @XmlTransient
    public List<Proces> getProcesList() {
        return procesList;
    }

    public void setProcesList(List<Proces> procesList) {
        this.procesList = procesList;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Macroproces)) {
            return false;
        }
        Macroproces other = (Macroproces) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "edu.iesdamiahuguet.gestcentre.entitats.Macroproces[ id=" + id + " ]";
    }
    
}
