/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package edu.iesdamiahuguet.gestcentre.entitats;

import java.io.Serializable;
import java.util.List;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author climentc
 */
@Entity
@Table(name = "Proces")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Proces.findAll", query = "SELECT p FROM Proces p"),
    @NamedQuery(name = "Proces.findById", query = "SELECT p FROM Proces p WHERE p.id = :id"),
    @NamedQuery(name = "Proces.findByCodi", query = "SELECT p FROM Proces p WHERE p.codi = :codi"),
    @NamedQuery(name = "Proces.findByNom", query = "SELECT p FROM Proces p WHERE p.nom = :nom"),
    @NamedQuery(name = "Proces.findByDescripcio", query = "SELECT p FROM Proces p WHERE p.descripcio = :descripcio")})
public class Proces implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @NotNull
    @Column(name = "id")
    private Integer id;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 4)
    @Column(name = "codi")
    private String codi;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 45)
    @Column(name = "nom")
    private String nom;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 255)
    @Column(name = "descripcio")
    private String descripcio;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "proces")
    private List<Document> documentList;
    @JoinColumn(name = "macroproces", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private Macroproces macroproces;
    @JoinColumn(name = "responsable", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private GrupUsuaris responsable;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "proces")
    private List<IndicadorControl> indicadorControlList;

    public Proces() {
    }

    public Proces(Integer id) {
        this.id = id;
    }

    public Proces(Integer id, String codi, String nom, String descripcio) {
        this.id = id;
        this.codi = codi;
        this.nom = nom;
        this.descripcio = descripcio;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCodi() {
        return codi;
    }

    public void setCodi(String codi) {
        this.codi = codi;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public String getDescripcio() {
        return descripcio;
    }

    public void setDescripcio(String descripcio) {
        this.descripcio = descripcio;
    }

    @XmlTransient
    public List<Document> getDocumentList() {
        return documentList;
    }

    public void setDocumentList(List<Document> documentList) {
        this.documentList = documentList;
    }

    public Macroproces getMacroproces() {
        return macroproces;
    }

    public void setMacroproces(Macroproces macroproces) {
        this.macroproces = macroproces;
    }

    public GrupUsuaris getResponsable() {
        return responsable;
    }

    public void setResponsable(GrupUsuaris responsable) {
        this.responsable = responsable;
    }

    @XmlTransient
    public List<IndicadorControl> getIndicadorControlList() {
        return indicadorControlList;
    }

    public void setIndicadorControlList(List<IndicadorControl> indicadorControlList) {
        this.indicadorControlList = indicadorControlList;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Proces)) {
            return false;
        }
        Proces other = (Proces) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "edu.iesdamiahuguet.gestcentre.entitats.Proces[ id=" + id + " ]";
    }
    
}
