/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package edu.iesdamiahuguet.gestcentre.entitats;

import java.io.Serializable;
import java.util.List;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author climentc
 */
@Entity
@Table(name = "Propietari_Inventari")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "PropietariInventari.findAll", query = "SELECT p FROM PropietariInventari p"),
    @NamedQuery(name = "PropietariInventari.findById", query = "SELECT p FROM PropietariInventari p WHERE p.id = :id"),
    @NamedQuery(name = "PropietariInventari.findByNom", query = "SELECT p FROM PropietariInventari p WHERE p.nom = :nom"),
    @NamedQuery(name = "PropietariInventari.findByDescripcio", query = "SELECT p FROM PropietariInventari p WHERE p.descripcio = :descripcio")})
public class PropietariInventari implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @NotNull
    @Column(name = "id")
    private Integer id;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 20)
    @Column(name = "nom")
    private String nom;
    @Size(max = 50)
    @Column(name = "descripcio")
    private String descripcio;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "propietari")
    private List<ItemInventari> itemInventariList;

    public PropietariInventari() {
    }

    public PropietariInventari(Integer id) {
        this.id = id;
    }

    public PropietariInventari(Integer id, String nom) {
        this.id = id;
        this.nom = nom;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public String getDescripcio() {
        return descripcio;
    }

    public void setDescripcio(String descripcio) {
        this.descripcio = descripcio;
    }

    @XmlTransient
    public List<ItemInventari> getItemInventariList() {
        return itemInventariList;
    }

    public void setItemInventariList(List<ItemInventari> itemInventariList) {
        this.itemInventariList = itemInventariList;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof PropietariInventari)) {
            return false;
        }
        PropietariInventari other = (PropietariInventari) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "edu.iesdamiahuguet.gestcentre.entitats.PropietariInventari[ id=" + id + " ]";
    }
    
}
