/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package edu.iesdamiahuguet.gestcentre.entitats;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author climentc
 */
@Entity
@Table(name = "Proveidor_Inventari")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "ProveidorInventari.findAll", query = "SELECT p FROM ProveidorInventari p"),
    @NamedQuery(name = "ProveidorInventari.findById", query = "SELECT p FROM ProveidorInventari p WHERE p.id = :id"),
    @NamedQuery(name = "ProveidorInventari.findByCif", query = "SELECT p FROM ProveidorInventari p WHERE p.cif = :cif"),
    @NamedQuery(name = "ProveidorInventari.findByNom", query = "SELECT p FROM ProveidorInventari p WHERE p.nom = :nom"),
    @NamedQuery(name = "ProveidorInventari.findByDescripcio", query = "SELECT p FROM ProveidorInventari p WHERE p.descripcio = :descripcio"),
    @NamedQuery(name = "ProveidorInventari.findByTelefon", query = "SELECT p FROM ProveidorInventari p WHERE p.telefon = :telefon"),
    @NamedQuery(name = "ProveidorInventari.findByWeb", query = "SELECT p FROM ProveidorInventari p WHERE p.web = :web"),
    @NamedQuery(name = "ProveidorInventari.findByAdreca", query = "SELECT p FROM ProveidorInventari p WHERE p.adreca = :adreca"),
    @NamedQuery(name = "ProveidorInventari.findByEstat", query = "SELECT p FROM ProveidorInventari p WHERE p.estat = :estat"),
    @NamedQuery(name = "ProveidorInventari.findByDataAlta", query = "SELECT p FROM ProveidorInventari p WHERE p.dataAlta = :dataAlta")})
public class ProveidorInventari implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @NotNull
    @Column(name = "id")
    private Integer id;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 9)
    @Column(name = "cif")
    private String cif;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 45)
    @Column(name = "nom")
    private String nom;
    @Size(max = 255)
    @Column(name = "descripcio")
    private String descripcio;
    @Size(max = 45)
    @Column(name = "telefon")
    private String telefon;
    @Size(max = 255)
    @Column(name = "web")
    private String web;
    @Size(max = 255)
    @Column(name = "adreca")
    private String adreca;
    @Size(max = 12)
    @Column(name = "estat")
    private String estat;
    @Basic(optional = false)
    @NotNull
    @Column(name = "data_alta")
    @Temporal(TemporalType.TIMESTAMP)
    private Date dataAlta;
    @Lob
    @Size(max = 65535)
    @Column(name = "incidencies")
    private String incidencies;
    @Lob
    @Size(max = 65535)
    @Column(name = "observacions")
    private String observacions;
    @OneToMany(mappedBy = "proveidor")
    private List<SolicitudCompra> solicitudCompraList;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "proveidor")
    private List<ItemInventari> itemInventariList;

    public ProveidorInventari() {
    }

    public ProveidorInventari(Integer id) {
        this.id = id;
    }

    public ProveidorInventari(Integer id, String cif, String nom, Date dataAlta) {
        this.id = id;
        this.cif = cif;
        this.nom = nom;
        this.dataAlta = dataAlta;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCif() {
        return cif;
    }

    public void setCif(String cif) {
        this.cif = cif;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public String getDescripcio() {
        return descripcio;
    }

    public void setDescripcio(String descripcio) {
        this.descripcio = descripcio;
    }

    public String getTelefon() {
        return telefon;
    }

    public void setTelefon(String telefon) {
        this.telefon = telefon;
    }

    public String getWeb() {
        return web;
    }

    public void setWeb(String web) {
        this.web = web;
    }

    public String getAdreca() {
        return adreca;
    }

    public void setAdreca(String adreca) {
        this.adreca = adreca;
    }

    public String getEstat() {
        return estat;
    }

    public void setEstat(String estat) {
        this.estat = estat;
    }

    public Date getDataAlta() {
        return dataAlta;
    }

    public void setDataAlta(Date dataAlta) {
        this.dataAlta = dataAlta;
    }

    public String getIncidencies() {
        return incidencies;
    }

    public void setIncidencies(String incidencies) {
        this.incidencies = incidencies;
    }

    public String getObservacions() {
        return observacions;
    }

    public void setObservacions(String observacions) {
        this.observacions = observacions;
    }

    @XmlTransient
    public List<SolicitudCompra> getSolicitudCompraList() {
        return solicitudCompraList;
    }

    public void setSolicitudCompraList(List<SolicitudCompra> solicitudCompraList) {
        this.solicitudCompraList = solicitudCompraList;
    }

    @XmlTransient
    public List<ItemInventari> getItemInventariList() {
        return itemInventariList;
    }

    public void setItemInventariList(List<ItemInventari> itemInventariList) {
        this.itemInventariList = itemInventariList;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof ProveidorInventari)) {
            return false;
        }
        ProveidorInventari other = (ProveidorInventari) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "edu.iesdamiahuguet.gestcentre.entitats.ProveidorInventari[ id=" + id + " ]";
    }
    
}
