/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package edu.iesdamiahuguet.gestcentre.entitats;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author climentc
 */
@Entity
@Table(name = "Registre_Control")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RegistreControl.findAll", query = "SELECT r FROM RegistreControl r"),
    @NamedQuery(name = "RegistreControl.findById", query = "SELECT r FROM RegistreControl r WHERE r.id = :id"),
    @NamedQuery(name = "RegistreControl.findByValor", query = "SELECT r FROM RegistreControl r WHERE r.valor = :valor"),
    @NamedQuery(name = "RegistreControl.findByValorObjectiu", query = "SELECT r FROM RegistreControl r WHERE r.valorObjectiu = :valorObjectiu"),
    @NamedQuery(name = "RegistreControl.findByData", query = "SELECT r FROM RegistreControl r WHERE r.data = :data")})
public class RegistreControl implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @NotNull
    @Column(name = "id")
    private Integer id;
    @Basic(optional = false)
    @NotNull
    @Column(name = "valor")
    private int valor;
    @Basic(optional = false)
    @NotNull
    @Column(name = "valorObjectiu")
    private int valorObjectiu;
    @Basic(optional = false)
    @NotNull
    @Lob
    @Size(min = 1, max = 65535)
    @Column(name = "comentaris")
    private String comentaris;
    @Basic(optional = false)
    @NotNull
    @Column(name = "data")
    @Temporal(TemporalType.TIMESTAMP)
    private Date data;
    @JoinColumn(name = "autor", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private Usuari autor;
    @JoinColumn(name = "indicador", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private IndicadorControl indicador;

    public RegistreControl() {
    }

    public RegistreControl(Integer id) {
        this.id = id;
    }

    public RegistreControl(Integer id, int valor, int valorObjectiu, String comentaris, Date data) {
        this.id = id;
        this.valor = valor;
        this.valorObjectiu = valorObjectiu;
        this.comentaris = comentaris;
        this.data = data;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public int getValor() {
        return valor;
    }

    public void setValor(int valor) {
        this.valor = valor;
    }

    public int getValorObjectiu() {
        return valorObjectiu;
    }

    public void setValorObjectiu(int valorObjectiu) {
        this.valorObjectiu = valorObjectiu;
    }

    public String getComentaris() {
        return comentaris;
    }

    public void setComentaris(String comentaris) {
        this.comentaris = comentaris;
    }

    public Date getData() {
        return data;
    }

    public void setData(Date data) {
        this.data = data;
    }

    public Usuari getAutor() {
        return autor;
    }

    public void setAutor(Usuari autor) {
        this.autor = autor;
    }

    public IndicadorControl getIndicador() {
        return indicador;
    }

    public void setIndicador(IndicadorControl indicador) {
        this.indicador = indicador;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RegistreControl)) {
            return false;
        }
        RegistreControl other = (RegistreControl) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "edu.iesdamiahuguet.gestcentre.entitats.RegistreControl[ id=" + id + " ]";
    }
    
}
