/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package edu.iesdamiahuguet.gestcentre.entitats;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author climentc
 */
@Entity
@Table(name = "Resposta_Solicitud_Compra")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RespostaSolicitudCompra.findAll", query = "SELECT r FROM RespostaSolicitudCompra r"),
    @NamedQuery(name = "RespostaSolicitudCompra.findBySolicitud", query = "SELECT r FROM RespostaSolicitudCompra r WHERE r.solicitud = :solicitud"),
    @NamedQuery(name = "RespostaSolicitudCompra.findByData", query = "SELECT r FROM RespostaSolicitudCompra r WHERE r.data = :data")})
public class RespostaSolicitudCompra implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "solicitud")
    private Integer solicitud;
    @Basic(optional = false)
    @NotNull
    @Column(name = "data")
    @Temporal(TemporalType.TIMESTAMP)
    private Date data;
    @Lob
    @Size(max = 65535)
    @Column(name = "observacions")
    private String observacions;
    @JoinColumn(name = "responsable", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private Usuari responsable;
    @JoinColumn(name = "solicitud", referencedColumnName = "id", insertable = false, updatable = false)
    @OneToOne(optional = false)
    private SolicitudCompra solicitudCompra;

    public RespostaSolicitudCompra() {
    }

    public RespostaSolicitudCompra(Integer solicitud) {
        this.solicitud = solicitud;
    }

    public RespostaSolicitudCompra(Integer solicitud, Date data) {
        this.solicitud = solicitud;
        this.data = data;
    }

    public Integer getSolicitud() {
        return solicitud;
    }

    public void setSolicitud(Integer solicitud) {
        this.solicitud = solicitud;
    }

    public Date getData() {
        return data;
    }

    public void setData(Date data) {
        this.data = data;
    }

    public String getObservacions() {
        return observacions;
    }

    public void setObservacions(String observacions) {
        this.observacions = observacions;
    }

    public Usuari getResponsable() {
        return responsable;
    }

    public void setResponsable(Usuari responsable) {
        this.responsable = responsable;
    }

    public SolicitudCompra getSolicitudCompra() {
        return solicitudCompra;
    }

    public void setSolicitudCompra(SolicitudCompra solicitudCompra) {
        this.solicitudCompra = solicitudCompra;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (solicitud != null ? solicitud.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RespostaSolicitudCompra)) {
            return false;
        }
        RespostaSolicitudCompra other = (RespostaSolicitudCompra) object;
        if ((this.solicitud == null && other.solicitud != null) || (this.solicitud != null && !this.solicitud.equals(other.solicitud))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "edu.iesdamiahuguet.gestcentre.entitats.RespostaSolicitudCompra[ solicitud=" + solicitud + " ]";
    }
    
}
