/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package edu.iesdamiahuguet.gestcentre.entitats;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author climentc
 */
@Entity
@Table(name = "Revisio_Document")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RevisioDocument.findAll", query = "SELECT r FROM RevisioDocument r"),
    @NamedQuery(name = "RevisioDocument.findById", query = "SELECT r FROM RevisioDocument r WHERE r.id = :id"),
    @NamedQuery(name = "RevisioDocument.findByRevisio", query = "SELECT r FROM RevisioDocument r WHERE r.revisio = :revisio"),
    @NamedQuery(name = "RevisioDocument.findByData", query = "SELECT r FROM RevisioDocument r WHERE r.data = :data")})
public class RevisioDocument implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @NotNull
    @Column(name = "id")
    private Integer id;
    @Basic(optional = false)
    @NotNull
    @Column(name = "revisio")
    private int revisio;
    @Basic(optional = false)
    @NotNull
    @Column(name = "data")
    @Temporal(TemporalType.TIMESTAMP)
    private Date data;
    @Basic(optional = false)
    @NotNull
    @Lob
    @Size(min = 1, max = 65535)
    @Column(name = "motius")
    private String motius;
    @JoinColumn(name = "autor", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private Usuari autor;
    @JoinColumn(name = "document", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private Document document;

    public RevisioDocument() {
    }

    public RevisioDocument(Integer id) {
        this.id = id;
    }

    public RevisioDocument(Integer id, int revisio, Date data, String motius) {
        this.id = id;
        this.revisio = revisio;
        this.data = data;
        this.motius = motius;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public int getRevisio() {
        return revisio;
    }

    public void setRevisio(int revisio) {
        this.revisio = revisio;
    }

    public Date getData() {
        return data;
    }

    public void setData(Date data) {
        this.data = data;
    }

    public String getMotius() {
        return motius;
    }

    public void setMotius(String motius) {
        this.motius = motius;
    }

    public Usuari getAutor() {
        return autor;
    }

    public void setAutor(Usuari autor) {
        this.autor = autor;
    }

    public Document getDocument() {
        return document;
    }

    public void setDocument(Document document) {
        this.document = document;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RevisioDocument)) {
            return false;
        }
        RevisioDocument other = (RevisioDocument) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "edu.iesdamiahuguet.gestcentre.entitats.RevisioDocument[ id=" + id + " ]";
    }
    
}
