/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package edu.iesdamiahuguet.gestcentre.entitats;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author climentc
 */
@Entity
@Table(name = "Revisio_Inventari")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RevisioInventari.findAll", query = "SELECT r FROM RevisioInventari r"),
    @NamedQuery(name = "RevisioInventari.findById", query = "SELECT r FROM RevisioInventari r WHERE r.id = :id"),
    @NamedQuery(name = "RevisioInventari.findByData", query = "SELECT r FROM RevisioInventari r WHERE r.data = :data")})
public class RevisioInventari implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @NotNull
    @Column(name = "id")
    private Integer id;
    @Lob
    @Size(max = 65535)
    @Column(name = "observacions")
    private String observacions;
    @Basic(optional = false)
    @NotNull
    @Column(name = "data")
    @Temporal(TemporalType.TIMESTAMP)
    private Date data;
    @JoinColumn(name = "categoria", referencedColumnName = "id")
    @ManyToOne
    private CategoriaInventari categoria;
    @JoinColumn(name = "ubicacio", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private UbicacioInventari ubicacio;
    @JoinColumn(name = "autor", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private Usuari autor;

    public RevisioInventari() {
    }

    public RevisioInventari(Integer id) {
        this.id = id;
    }

    public RevisioInventari(Integer id, Date data) {
        this.id = id;
        this.data = data;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getObservacions() {
        return observacions;
    }

    public void setObservacions(String observacions) {
        this.observacions = observacions;
    }

    public Date getData() {
        return data;
    }

    public void setData(Date data) {
        this.data = data;
    }

    public CategoriaInventari getCategoria() {
        return categoria;
    }

    public void setCategoria(CategoriaInventari categoria) {
        this.categoria = categoria;
    }

    public UbicacioInventari getUbicacio() {
        return ubicacio;
    }

    public void setUbicacio(UbicacioInventari ubicacio) {
        this.ubicacio = ubicacio;
    }

    public Usuari getAutor() {
        return autor;
    }

    public void setAutor(Usuari autor) {
        this.autor = autor;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RevisioInventari)) {
            return false;
        }
        RevisioInventari other = (RevisioInventari) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "edu.iesdamiahuguet.gestcentre.entitats.RevisioInventari[ id=" + id + " ]";
    }
    
}
