/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package edu.iesdamiahuguet.gestcentre.entitats;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author climentc
 */
@Entity
@Table(name = "Solicitud_Compra")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "SolicitudCompra.findAll", query = "SELECT s FROM SolicitudCompra s"),
    @NamedQuery(name = "SolicitudCompra.findById", query = "SELECT s FROM SolicitudCompra s WHERE s.id = :id"),
    @NamedQuery(name = "SolicitudCompra.findByDataSolicitud", query = "SELECT s FROM SolicitudCompra s WHERE s.dataSolicitud = :dataSolicitud"),
    @NamedQuery(name = "SolicitudCompra.findByEstat", query = "SELECT s FROM SolicitudCompra s WHERE s.estat = :estat"),
    @NamedQuery(name = "SolicitudCompra.findByDataResolucio", query = "SELECT s FROM SolicitudCompra s WHERE s.dataResolucio = :dataResolucio")})
public class SolicitudCompra implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @NotNull
    @Column(name = "id")
    private Integer id;
    @Basic(optional = false)
    @NotNull
    @Column(name = "data_solicitud")
    @Temporal(TemporalType.TIMESTAMP)
    private Date dataSolicitud;
    @Basic(optional = false)
    @NotNull
    @Lob
    @Size(min = 1, max = 65535)
    @Column(name = "descripcio")
    private String descripcio;
    @Basic(optional = false)
    @NotNull
    @Lob
    @Size(min = 1, max = 65535)
    @Column(name = "justificacio")
    private String justificacio;
    @Lob
    @Size(max = 65535)
    @Column(name = "observacions")
    private String observacions;
    @Size(max = 11)
    @Column(name = "estat")
    private String estat;
    @Column(name = "data_resolucio")
    @Temporal(TemporalType.TIMESTAMP)
    private Date dataResolucio;
    @JoinColumn(name = "responsable", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private Usuari responsable;
    @JoinColumn(name = "proveidor", referencedColumnName = "id")
    @ManyToOne
    private ProveidorInventari proveidor;
    @OneToOne(cascade = CascadeType.ALL, mappedBy = "solicitudCompra")
    private RespostaSolicitudCompra respostaSolicitudCompra;

    public SolicitudCompra() {
    }

    public SolicitudCompra(Integer id) {
        this.id = id;
    }

    public SolicitudCompra(Integer id, Date dataSolicitud, String descripcio, String justificacio) {
        this.id = id;
        this.dataSolicitud = dataSolicitud;
        this.descripcio = descripcio;
        this.justificacio = justificacio;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Date getDataSolicitud() {
        return dataSolicitud;
    }

    public void setDataSolicitud(Date dataSolicitud) {
        this.dataSolicitud = dataSolicitud;
    }

    public String getDescripcio() {
        return descripcio;
    }

    public void setDescripcio(String descripcio) {
        this.descripcio = descripcio;
    }

    public String getJustificacio() {
        return justificacio;
    }

    public void setJustificacio(String justificacio) {
        this.justificacio = justificacio;
    }

    public String getObservacions() {
        return observacions;
    }

    public void setObservacions(String observacions) {
        this.observacions = observacions;
    }

    public String getEstat() {
        return estat;
    }

    public void setEstat(String estat) {
        this.estat = estat;
    }

    public Date getDataResolucio() {
        return dataResolucio;
    }

    public void setDataResolucio(Date dataResolucio) {
        this.dataResolucio = dataResolucio;
    }

    public Usuari getResponsable() {
        return responsable;
    }

    public void setResponsable(Usuari responsable) {
        this.responsable = responsable;
    }

    public ProveidorInventari getProveidor() {
        return proveidor;
    }

    public void setProveidor(ProveidorInventari proveidor) {
        this.proveidor = proveidor;
    }

    public RespostaSolicitudCompra getRespostaSolicitudCompra() {
        return respostaSolicitudCompra;
    }

    public void setRespostaSolicitudCompra(RespostaSolicitudCompra respostaSolicitudCompra) {
        this.respostaSolicitudCompra = respostaSolicitudCompra;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof SolicitudCompra)) {
            return false;
        }
        SolicitudCompra other = (SolicitudCompra) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "edu.iesdamiahuguet.gestcentre.entitats.SolicitudCompra[ id=" + id + " ]";
    }
    
}
