/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package edu.iesdamiahuguet.gestcentre.entitats;

import java.io.Serializable;
import java.util.List;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author climentc
 */
@Entity
@Table(name = "Tipus_Document")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "TipusDocument.findAll", query = "SELECT t FROM TipusDocument t"),
    @NamedQuery(name = "TipusDocument.findByCodi", query = "SELECT t FROM TipusDocument t WHERE t.codi = :codi"),
    @NamedQuery(name = "TipusDocument.findByNom", query = "SELECT t FROM TipusDocument t WHERE t.nom = :nom"),
    @NamedQuery(name = "TipusDocument.findByDescripcio", query = "SELECT t FROM TipusDocument t WHERE t.descripcio = :descripcio")})
public class TipusDocument implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "codi")
    private String codi;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 45)
    @Column(name = "nom")
    private String nom;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 45)
    @Column(name = "descripcio")
    private String descripcio;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tipus")
    private List<Document> documentList;

    public TipusDocument() {
    }

    public TipusDocument(String codi) {
        this.codi = codi;
    }

    public TipusDocument(String codi, String nom, String descripcio) {
        this.codi = codi;
        this.nom = nom;
        this.descripcio = descripcio;
    }

    public String getCodi() {
        return codi;
    }

    public void setCodi(String codi) {
        this.codi = codi;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public String getDescripcio() {
        return descripcio;
    }

    public void setDescripcio(String descripcio) {
        this.descripcio = descripcio;
    }

    @XmlTransient
    public List<Document> getDocumentList() {
        return documentList;
    }

    public void setDocumentList(List<Document> documentList) {
        this.documentList = documentList;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (codi != null ? codi.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TipusDocument)) {
            return false;
        }
        TipusDocument other = (TipusDocument) object;
        if ((this.codi == null && other.codi != null) || (this.codi != null && !this.codi.equals(other.codi))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "edu.iesdamiahuguet.gestcentre.entitats.TipusDocument[ codi=" + codi + " ]";
    }
    
}
