/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package edu.iesdamiahuguet.gestcentre.entitats;

import java.io.Serializable;
import java.util.List;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author climentc
 */
@Entity
@Table(name = "Ubicacio_Inventari")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "UbicacioInventari.findAll", query = "SELECT u FROM UbicacioInventari u"),
    @NamedQuery(name = "UbicacioInventari.findById", query = "SELECT u FROM UbicacioInventari u WHERE u.id = :id"),
    @NamedQuery(name = "UbicacioInventari.findByNom", query = "SELECT u FROM UbicacioInventari u WHERE u.nom = :nom"),
    @NamedQuery(name = "UbicacioInventari.findByDescripcio", query = "SELECT u FROM UbicacioInventari u WHERE u.descripcio = :descripcio")})
public class UbicacioInventari implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @NotNull
    @Column(name = "id")
    private Integer id;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 20)
    @Column(name = "nom")
    private String nom;
    @Size(max = 50)
    @Column(name = "descripcio")
    private String descripcio;
    @JoinColumn(name = "grup_ubicacions", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private GrupUbicacionsInventari grupUbicacions;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "ubicacio")
    private List<RevisioInventari> revisioInventariList;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "ubicacio")
    private List<ItemInventari> itemInventariList;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "ubicacio")
    private List<IncidenciaInventari> incidenciaInventariList;

    public UbicacioInventari() {
    }

    public UbicacioInventari(Integer id) {
        this.id = id;
    }

    public UbicacioInventari(Integer id, String nom) {
        this.id = id;
        this.nom = nom;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public String getDescripcio() {
        return descripcio;
    }

    public void setDescripcio(String descripcio) {
        this.descripcio = descripcio;
    }

    public GrupUbicacionsInventari getGrupUbicacions() {
        return grupUbicacions;
    }

    public void setGrupUbicacions(GrupUbicacionsInventari grupUbicacions) {
        this.grupUbicacions = grupUbicacions;
    }

    @XmlTransient
    public List<RevisioInventari> getRevisioInventariList() {
        return revisioInventariList;
    }

    public void setRevisioInventariList(List<RevisioInventari> revisioInventariList) {
        this.revisioInventariList = revisioInventariList;
    }

    @XmlTransient
    public List<ItemInventari> getItemInventariList() {
        return itemInventariList;
    }

    public void setItemInventariList(List<ItemInventari> itemInventariList) {
        this.itemInventariList = itemInventariList;
    }

    @XmlTransient
    public List<IncidenciaInventari> getIncidenciaInventariList() {
        return incidenciaInventariList;
    }

    public void setIncidenciaInventariList(List<IncidenciaInventari> incidenciaInventariList) {
        this.incidenciaInventariList = incidenciaInventariList;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof UbicacioInventari)) {
            return false;
        }
        UbicacioInventari other = (UbicacioInventari) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "edu.iesdamiahuguet.gestcentre.entitats.UbicacioInventari[ id=" + id + " ]";
    }
    
}
