/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package edu.iesdamiahuguet.gestcentre.entitats;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author climentc
 */
@Entity
@Table(name = "Usuari")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Usuari.findAll", query = "SELECT u FROM Usuari u"),
    @NamedQuery(name = "Usuari.findById", query = "SELECT u FROM Usuari u WHERE u.id = :id"),
    @NamedQuery(name = "Usuari.findByClau", query = "SELECT u FROM Usuari u WHERE u.clau = :clau"),
    @NamedQuery(name = "Usuari.findByNom", query = "SELECT u FROM Usuari u WHERE u.nom = :nom"),
    @NamedQuery(name = "Usuari.findByDataAlta", query = "SELECT u FROM Usuari u WHERE u.dataAlta = :dataAlta"),
    @NamedQuery(name = "Usuari.findByDataBaixa", query = "SELECT u FROM Usuari u WHERE u.dataBaixa = :dataBaixa"),
    @NamedQuery(name = "Usuari.autentica", query = "SELECT u FROM Usuari u WHERE u.id = :id AND u.clau = :clau")})
public class Usuari implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 20)
    @Column(name = "id")
    private String id;
    @Size(max = 32)
    @Column(name = "clau")
    private String clau;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 50)
    @Column(name = "nom")
    private String nom;
    @Basic(optional = false)
    @NotNull
    @Column(name = "data_alta")
    @Temporal(TemporalType.TIMESTAMP)
    private Date dataAlta;
    @Column(name = "data_baixa")
    @Temporal(TemporalType.TIMESTAMP)
    private Date dataBaixa;
    @JoinTable(name = "Assignacio_Grup", joinColumns = {
        @JoinColumn(name = "usuari", referencedColumnName = "id")}, inverseJoinColumns = {
        @JoinColumn(name = "grup", referencedColumnName = "id")})
    @ManyToMany()
    private List<GrupUsuaris> llistaGrupsAssignats;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "autor")
    private List<Document> documentList;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "autor")
    private List<BaixaItemInventari> baixaItemInventariList;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "autor")
    private List<RevisioDocument> revisioDocumentList;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "responsable")
    private List<SolicitudCompra> solicitudCompraList;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "autor")
    private List<RevisioInventari> revisioInventariList;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "responsable")
    private List<RespostaSolicitudCompra> respostaSolicitudCompraList;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "autor")
    private List<ItemInventari> itemInventariList;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "autor")
    private List<RegistreControl> registreControlList;
    @OneToMany(mappedBy = "autorTancament")
    private List<IncidenciaInventari> incidenciaInventariList;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "autorObertura")
    private List<IncidenciaInventari> incidenciaInventariList1;

    public Usuari() {
    }

    public Usuari(String id) {
        this.id = id;
    }

    public Usuari(String id, String nom, Date dataAlta) {
        this.id = id;
        this.nom = nom;
        this.dataAlta = dataAlta;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getClau() {
        return clau;
    }

    public void setClau(String clau) {
        this.clau = clau;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public Date getDataAlta() {
        return dataAlta;
    }

    public void setDataAlta(Date dataAlta) {
        this.dataAlta = dataAlta;
    }

    public Date getDataBaixa() {
        return dataBaixa;
    }

    public void setDataBaixa(Date dataBaixa) {
        this.dataBaixa = dataBaixa;
    }

    @XmlTransient
    public List<GrupUsuaris> getLlistaGrupsAssignats() {
        return llistaGrupsAssignats;
    }

    public void setLlistaGrupsAssignats(List<GrupUsuaris> llistaGrupsAssignats) {
        this.llistaGrupsAssignats = llistaGrupsAssignats;
    }

    @XmlTransient
    public List<Document> getDocumentList() {
        return documentList;
    }

    public void setDocumentList(List<Document> documentList) {
        this.documentList = documentList;
    }

    @XmlTransient
    public List<BaixaItemInventari> getBaixaItemInventariList() {
        return baixaItemInventariList;
    }

    public void setBaixaItemInventariList(List<BaixaItemInventari> baixaItemInventariList) {
        this.baixaItemInventariList = baixaItemInventariList;
    }

    @XmlTransient
    public List<RevisioDocument> getRevisioDocumentList() {
        return revisioDocumentList;
    }

    public void setRevisioDocumentList(List<RevisioDocument> revisioDocumentList) {
        this.revisioDocumentList = revisioDocumentList;
    }

    @XmlTransient
    public List<SolicitudCompra> getSolicitudCompraList() {
        return solicitudCompraList;
    }

    public void setSolicitudCompraList(List<SolicitudCompra> solicitudCompraList) {
        this.solicitudCompraList = solicitudCompraList;
    }

    @XmlTransient
    public List<RevisioInventari> getRevisioInventariList() {
        return revisioInventariList;
    }

    public void setRevisioInventariList(List<RevisioInventari> revisioInventariList) {
        this.revisioInventariList = revisioInventariList;
    }

    @XmlTransient
    public List<RespostaSolicitudCompra> getRespostaSolicitudCompraList() {
        return respostaSolicitudCompraList;
    }

    public void setRespostaSolicitudCompraList(List<RespostaSolicitudCompra> respostaSolicitudCompraList) {
        this.respostaSolicitudCompraList = respostaSolicitudCompraList;
    }

    @XmlTransient
    public List<ItemInventari> getItemInventariList() {
        return itemInventariList;
    }

    public void setItemInventariList(List<ItemInventari> itemInventariList) {
        this.itemInventariList = itemInventariList;
    }

    @XmlTransient
    public List<RegistreControl> getRegistreControlList() {
        return registreControlList;
    }

    public void setRegistreControlList(List<RegistreControl> registreControlList) {
        this.registreControlList = registreControlList;
    }

    @XmlTransient
    public List<IncidenciaInventari> getIncidenciaInventariList() {
        return incidenciaInventariList;
    }

    public void setIncidenciaInventariList(List<IncidenciaInventari> incidenciaInventariList) {
        this.incidenciaInventariList = incidenciaInventariList;
    }

    @XmlTransient
    public List<IncidenciaInventari> getIncidenciaInventariList1() {
        return incidenciaInventariList1;
    }

    public void setIncidenciaInventariList1(List<IncidenciaInventari> incidenciaInventariList1) {
        this.incidenciaInventariList1 = incidenciaInventariList1;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Usuari)) {
            return false;
        }
        Usuari other = (Usuari) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "edu.iesdamiahuguet.gestcentre.entitats.Usuari[ id=" + id + " ]";
    }
    
}
