package edu.iesdamiahuguet.gestcentre.jsf;

import edu.iesdamiahuguet.gestcentre.ejb.GestorDocuments;
import edu.iesdamiahuguet.gestcentre.entitats.Document;
import edu.iesdamiahuguet.gestcentre.entitats.Macroproces;
import java.io.Serializable;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

/**
 *
 * @author Climent Cànaves
 */
@ManagedBean
@SessionScoped
public class ControladorDocuments extends ControladorEntitats<Document> implements Serializable {
    @EJB
    GestorDocuments gestor;
    
    private Macroproces macroprocesSeleccionat;
    
    @Override
    public GestorDocuments getGestor() {
        return gestor;
    }

    public Macroproces getMacroprocesSeleccionat() {
        return macroprocesSeleccionat;
    }

    public void setMacroprocesSeleccionat(Macroproces macroprocesSeleccionat) {
        this.macroprocesSeleccionat = macroprocesSeleccionat;
        
        // Si el grup de categories no inclou la categoria actual, la posam a null.
        if (macroprocesSeleccionat == null || (getSeleccio().getProces() != null && !macroprocesSeleccionat.equals(getSeleccio().getProces().getMacroproces())))
            getSeleccio().setProces(null);
    }
    
    @Override
    public void setSeleccio(Document novaSeleccio) {
        super.setSeleccio(novaSeleccio);
        
        try {
            macroprocesSeleccionat = getSeleccio().getProces().getMacroproces();
        } catch (Exception e) {
            macroprocesSeleccionat = null;
        }
    }
    
    
    @Override
    public Document creaEntitat() {
        return new Document();
    }
    
    @Override
    public Document clonaEntitat(Document original) {
        Document entitat = null;
        
        try {
            entitat = gestor.cerca(original.getId());
        } catch (Exception e) {
            
        }
        
        return entitat;
    }
    
}
