package edu.iesdamiahuguet.gestcentre.jsf;

import edu.iesdamiahuguet.gestcentre.ejb.GestorGrupsUsuaris;
import edu.iesdamiahuguet.gestcentre.ejb.GestorUsuaris;
import edu.iesdamiahuguet.gestcentre.entitats.GrupUsuaris;
import edu.iesdamiahuguet.gestcentre.entitats.Usuari;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import org.primefaces.model.DualListModel;

/**
 *
 * @author Climent Cànaves
 */
@ManagedBean
@SessionScoped
public class ControladorGrupsUsuaris extends ControladorEntitats<GrupUsuaris> implements Serializable {
    @EJB
    GestorGrupsUsuaris gestor;
    @EJB
    GestorUsuaris gestorUsuaris;
    
    private GrupUsuaris seleccioTaula;
    
    @Override
    public GestorGrupsUsuaris getGestor() {
        return gestor;
    }
    
    @Override
    public GrupUsuaris creaEntitat() {
        return new GrupUsuaris();
    }
    
    @Override
    public GrupUsuaris clonaEntitat(GrupUsuaris original) {
        GrupUsuaris entitat = null;
        
        try {
            System.err.println("Clonant" + original.getNom());
            entitat = gestor.cerca(original.getId());
        } catch (Exception e) {
            
        }
        
        return entitat;
    }

    public GrupUsuaris getSeleccioTaula() {
        return seleccioTaula;
    }

    public void setSeleccioTaula(GrupUsuaris seleccioTaula) {
        this.seleccioTaula = seleccioTaula;
    }
    
    public void canviaSeleccioTaula() {
        setSeleccio(seleccioTaula);
        setEdicioActivada(false);
    }
    
    
    
    
    public DualListModel<Usuari> getAssignacioUsuaris() {  
        
        // Agafam la llista amb els grups assignats
        List<Usuari> usuarisAssignats = getSeleccio().getLlistaUsuarisAssignats();
            
        
        
        // Si no s'han trobat grups assignats.
        if (usuarisAssignats == null)
            usuarisAssignats = new ArrayList<Usuari>();
        
        // Agafam la llista amb tots els grups
        List<Usuari> usuarisDisponibles = gestorUsuaris.cercaTots();
          
        // Eliminam els grups que ja s'han assignat.     
         usuarisDisponibles.removeAll(usuarisAssignats);
                
        return new DualListModel<Usuari>(usuarisDisponibles, usuarisAssignats);

    }
    
    
    
    public void setAssignacioUsuaris(DualListModel<Usuari> assignacioUsuaris) {
        getSeleccio().setLlistaUsuarisAssignats(assignacioUsuaris.getTarget());
    }
}
