package edu.iesdamiahuguet.gestcentre.jsf;

import edu.iesdamiahuguet.gestcentre.ejb.GestorIndicadorsControl;
import edu.iesdamiahuguet.gestcentre.entitats.Document;
import edu.iesdamiahuguet.gestcentre.entitats.IndicadorControl;
import edu.iesdamiahuguet.gestcentre.entitats.Macroproces;
import java.io.Serializable;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

/**
 *
 * @author Climent Cànaves
 */
@ManagedBean
@SessionScoped
public class ControladorIndicadorsControl extends ControladorEntitats<IndicadorControl> implements Serializable {
    @EJB
    GestorIndicadorsControl gestor;
    
    private Macroproces macroprocesSeleccionat;
    
    @Override
    public GestorIndicadorsControl getGestor() {
        return gestor;
    }

    public Macroproces getMacroprocesSeleccionat() {
        return macroprocesSeleccionat;
    }
    
    
    
    public void setMacroprocesSeleccionat(Macroproces macroprocesSeleccionat) {
        this.macroprocesSeleccionat = macroprocesSeleccionat;
        
        // Si el grup de categories no inclou la categoria actual, la posam a null.
        if (macroprocesSeleccionat == null || (getSeleccio().getProces() != null && !macroprocesSeleccionat.equals(getSeleccio().getProces().getMacroproces())))
            getSeleccio().setProces(null);
    }
    
    @Override
    public void setSeleccio(IndicadorControl novaSeleccio) {
        super.setSeleccio(novaSeleccio);
        
        try {
            macroprocesSeleccionat = getSeleccio().getProces().getMacroproces();
        } catch (Exception e) {
            macroprocesSeleccionat = null;
        }
    }
    
    @Override
    public IndicadorControl creaEntitat() {
        return new IndicadorControl();
    }
    
    @Override
    public IndicadorControl clonaEntitat(IndicadorControl original) {
        IndicadorControl entitat = null;
        
        try {
            entitat = gestor.cerca(original.getId());
        } catch (Exception e) {
            
        }
        
        return entitat;
    }
    
}
