package edu.iesdamiahuguet.gestcentre.jsf;

import edu.iesdamiahuguet.gestcentre.ejb.GestorItemsInventari;
import edu.iesdamiahuguet.gestcentre.entitats.BaixaItemInventari;
import edu.iesdamiahuguet.gestcentre.entitats.GrupCategoriesInventari;
import edu.iesdamiahuguet.gestcentre.entitats.GrupUbicacionsInventari;
import edu.iesdamiahuguet.gestcentre.entitats.ItemInventari;
import java.io.Serializable;
import java.util.Date;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

/**
 *
 * @author Climent Cànaves
 */
@ManagedBean
@SessionScoped
public class ControladorItemsInventari extends ControladorEntitats<ItemInventari> implements Serializable {
    @EJB
    GestorItemsInventari gestor;
    
    private GrupCategoriesInventari grupCategoriesSeleccionat = null;
    private GrupUbicacionsInventari grupUbicacionsSeleccionat = null;

    
    
    @Override
    public GestorItemsInventari getGestor() {
        return gestor;
    }
    
    @Override
    public ItemInventari creaEntitat() {
        ItemInventari entitat = new ItemInventari();
        
        return entitat;
    }
    
    @Override
    public ItemInventari clonaEntitat(ItemInventari original) {
        ItemInventari entitat = null;
        
        try {
            entitat = gestor.cerca(original.getId());
        } catch (Exception e) {
            
        }
        
        return entitat;
    }
    
    public GrupCategoriesInventari getGrupCategoriesSeleccionat() {
        return grupCategoriesSeleccionat;
    }

    public void setGrupCategoriesSeleccionat(GrupCategoriesInventari grupCategoriesSeleccionat) {
        this.grupCategoriesSeleccionat = grupCategoriesSeleccionat;
        
        // Si el grup de categories no inclou la categoria actual, la posam a null.
        if (grupCategoriesSeleccionat == null || (getSeleccio().getCategoria() != null && !grupCategoriesSeleccionat.equals(getSeleccio().getCategoria().getGrupCategories())))
            getSeleccio().setCategoria(null);
    }

    public GrupUbicacionsInventari getGrupUbicacionsSeleccionat() {
        return grupUbicacionsSeleccionat;
    }

    public void setGrupUbicacionsSeleccionat(GrupUbicacionsInventari grupUbicacionsSeleccionat) {
        this.grupUbicacionsSeleccionat = grupUbicacionsSeleccionat;
        
        // Si el grup d'ubicacions no inclou la ubicació actual, la posam a null.
        if (grupUbicacionsSeleccionat == null || (getSeleccio().getUbicacio() != null && !grupUbicacionsSeleccionat.equals(getSeleccio().getUbicacio().getGrupUbicacions())))
            getSeleccio().setUbicacio(null);
    }
    
    @Override
    public void setSeleccio(ItemInventari novaSeleccio) {
        super.setSeleccio(novaSeleccio);
        
        try {
            grupCategoriesSeleccionat = getSeleccio().getCategoria().getGrupCategories();
        } catch (Exception e) {
            grupCategoriesSeleccionat = null;
        }
        
        try {
            grupUbicacionsSeleccionat = getSeleccio().getUbicacio().getGrupUbicacions();
        } catch (Exception e) {
            grupUbicacionsSeleccionat = null;
        }
    }
    

        
    public void preparaBaixa() {
        BaixaItemInventari baixa = new BaixaItemInventari();
        baixa.setDataBaixa(new Date());
        baixa.setItemInventari(getSeleccio());
        baixa.setId(getSeleccio().getId());
        
        getSeleccio().setBaixaItemInventari(baixa);
        
        System.err.println("Preparant baixa!");
    }

}
