package edu.iesdamiahuguet.gestcentre.jsf;

import edu.iesdamiahuguet.gestcentre.ejb.GestorRegistresControl;
import edu.iesdamiahuguet.gestcentre.entitats.Macroproces;
import edu.iesdamiahuguet.gestcentre.entitats.Proces;
import edu.iesdamiahuguet.gestcentre.entitats.RegistreControl;
import java.io.Serializable;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

/**
 *
 * @author Climent Cànaves
 */
@ManagedBean
@SessionScoped
public class ControladorRegistresControl extends ControladorEntitats<RegistreControl> implements Serializable {
    @EJB
    GestorRegistresControl gestor;
    
    private Macroproces macroprocesSeleccionat;
    private Proces procesSeleccionat;

    
    @Override
    public GestorRegistresControl getGestor() {
        return gestor;
    }

    public Macroproces getMacroprocesSeleccionat() {
        return macroprocesSeleccionat;
    }

    public void setMacroprocesSeleccionat(Macroproces macroprocesSeleccionat) {
        this.macroprocesSeleccionat = macroprocesSeleccionat;
        
        // Si el macroprocés no inclou el proces seleccionat, el posam a null.
        if (macroprocesSeleccionat == null || (this.getProcesSeleccionat() != null && !macroprocesSeleccionat.equals(procesSeleccionat.getMacroproces())))
            this.setProcesSeleccionat(null);
    }

    public Proces getProcesSeleccionat() {
        return procesSeleccionat;
    }

    public void setProcesSeleccionat(Proces procesSeleccionat) {
        this.procesSeleccionat = procesSeleccionat;
        
        // Si el procés seleccionat no inclou l'indicador, el posam a null.
        if (procesSeleccionat == null || (getSeleccio().getIndicador() != null && !procesSeleccionat.equals(getSeleccio().getIndicador().getProces())))
            getSeleccio().setIndicador(null);
    }

    @Override
    public void setSeleccio(RegistreControl novaSeleccio) {
        super.setSeleccio(novaSeleccio);
        
        try {
            procesSeleccionat=getSeleccio().getIndicador().getProces();
            macroprocesSeleccionat = procesSeleccionat.getMacroproces();
            
        } catch (Exception e) {
            procesSeleccionat = null;
            macroprocesSeleccionat = null;
        }
    }

    

    
    @Override
    public RegistreControl creaEntitat() {
        return new RegistreControl();
    }
    
    @Override
    public RegistreControl clonaEntitat(RegistreControl original) {
        RegistreControl entitat = null;
        
        try {
            entitat = gestor.cerca(original.getId());
        } catch (Exception e) {
            
        }
        
        return entitat;
    }
    
}
