package edu.iesdamiahuguet.gestcentre.jsf;

import edu.iesdamiahuguet.gestcentre.ejb.GestorRevisionsInventari;
import edu.iesdamiahuguet.gestcentre.entitats.GrupCategoriesInventari;
import edu.iesdamiahuguet.gestcentre.entitats.GrupUbicacionsInventari;
import edu.iesdamiahuguet.gestcentre.entitats.RevisioInventari;
import java.io.Serializable;
import java.util.Date;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

/**
 *
 * @author Climent Cànaves
 */
@ManagedBean
@SessionScoped
public class ControladorRevisionsInventari extends ControladorEntitats<RevisioInventari> implements Serializable {
    @EJB
    GestorRevisionsInventari gestor;
    
    private GrupCategoriesInventari grupCategoriesSeleccionat = null;
    private GrupUbicacionsInventari grupUbicacionsSeleccionat = null;

    
    
    @Override
    public GestorRevisionsInventari getGestor() {
        return gestor;
    }
    
    @Override
    public RevisioInventari creaEntitat() {
        return new RevisioInventari();
    }
        
    @Override
    public RevisioInventari clonaEntitat(RevisioInventari original) {
        RevisioInventari entitat = null;
        
        try {
            entitat = gestor.cerca(original.getId());
        } catch (Exception e) {
            
        }
        
        return entitat;
    }
    
    public GrupCategoriesInventari getGrupCategoriesSeleccionat() {
        return grupCategoriesSeleccionat;
    }

    public void setGrupCategoriesSeleccionat(GrupCategoriesInventari grupCategoriesSeleccionat) {
        this.grupCategoriesSeleccionat = grupCategoriesSeleccionat;
        
        // Si el grup de categories no inclou la categoria actual, la posam a null.
        if (grupCategoriesSeleccionat == null || (getSeleccio().getCategoria() != null && !grupCategoriesSeleccionat.equals(getSeleccio().getCategoria().getGrupCategories())))
            getSeleccio().setCategoria(null);
    }

    public GrupUbicacionsInventari getGrupUbicacionsSeleccionat() {
        return grupUbicacionsSeleccionat;
    }

    public void setGrupUbicacionsSeleccionat(GrupUbicacionsInventari grupUbicacionsSeleccionat) {
        this.grupUbicacionsSeleccionat = grupUbicacionsSeleccionat;
        
        // Si el grup d'ubicacions no inclou la ubicació actual, la posam a null.
        if (grupUbicacionsSeleccionat == null || (getSeleccio().getUbicacio() != null && !grupUbicacionsSeleccionat.equals(getSeleccio().getUbicacio().getGrupUbicacions())))
            getSeleccio().setUbicacio(null);
    }
    
    @Override
    public void setSeleccio(RevisioInventari novaSeleccio) {
        super.setSeleccio(novaSeleccio);
        
        try {
            grupCategoriesSeleccionat = getSeleccio().getCategoria().getGrupCategories();
        } catch (Exception e) {
            grupCategoriesSeleccionat = null;
        }
        
        try {
            grupUbicacionsSeleccionat = getSeleccio().getUbicacio().getGrupUbicacions();
        } catch (Exception e) {
            grupUbicacionsSeleccionat = null;
        }
    }
   

}
