package edu.iesdamiahuguet.gestcentre.jsf;

import edu.iesdamiahuguet.gestcentre.ejb.GestorGrupsUsuaris;
import edu.iesdamiahuguet.gestcentre.ejb.GestorUsuaris;
import edu.iesdamiahuguet.gestcentre.entitats.GrupUsuaris;
import edu.iesdamiahuguet.gestcentre.entitats.Usuari;
import edu.iesdamiahuguet.gestcentre.jsf.utils.MissatgesJSF;
import edu.iesdamiahuguet.gestcentre.utils.GestorSessio;
import java.io.Serializable;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

/**
 *
 * @author Climent Cànaves
 */
@ManagedBean(name="controladorSessio")
@SessionScoped
public class ControladorSessio implements Serializable {
    @EJB
    GestorUsuaris gestorUsuaris;
    @EJB
    GestorGrupsUsuaris gestorGrupsUsuaris;
    
    private static final String USUARI_SESSIO = "usuari";

    private String nomUsuari;
    private String clau;

    
     /**
     * Creates a new instance of controladorSessio
     */
    public ControladorSessio() {
        
        
    }
    
    /**
     * Get the value of usuari
     *
     * @return the value of usuari
     */
    public Usuari getUsuari() {
         
        return (Usuari)(GestorSessio.getAtribut(USUARI_SESSIO));
    }

    /**
     * Set the value of usuari
     *
     * @param usuari new value of usuari
     */
    public void setUsuari(Usuari usuari) {
        GestorSessio.setAtribut(USUARI_SESSIO, usuari);
    }

    public String getClau() {
        return clau;
    }

    public void setClau(String clau) {
        this.clau = clau;
    }

    public String getNomUsuari() {
        return nomUsuari;
    }

    public void setNomUsuari(String nomUsuari) {
        this.nomUsuari = nomUsuari;
    }
    
    public String autentica() {
        
        Usuari usuari = gestorUsuaris.autentica(nomUsuari, clau);
        
        
        if (usuari != null) {
            setUsuari(usuari);
            
            return "autenticacioCorrecta";
        } else {
            MissatgesJSF.afegeixError("L'usuari no s'ha identificat correctament");
            return "autenticacioIncorrecta";
        }
    }
    
    public String logout() {
        GestorSessio.getSessioActiva().invalidate();
        
        nomUsuari = null;
        clau = null;
        
        return "logout";
    }
    
    public boolean pertany(String nomGrup) {
        
        return true;
        /*
        try {
            GrupUsuaris grup = gestorGrupsUsuaris.cerca(nomGrup);
        
        
            Usuari usuari = getUsuari();

            if (usuari != null)
                return usuari.getLlistaGrupsAssignats().contains(grup);
            else
                return false;
        } catch (Exception e) {
            return false;
        }*/
    }
    
    


}
