package edu.iesdamiahuguet.gestcentre.jsf;

import edu.iesdamiahuguet.gestcentre.ejb.GestorGrupsUsuaris;
import edu.iesdamiahuguet.gestcentre.ejb.GestorUsuaris;
import edu.iesdamiahuguet.gestcentre.entitats.GrupUsuaris;
import edu.iesdamiahuguet.gestcentre.entitats.Usuari;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import org.primefaces.model.DualListModel;

/**
 *
 * @author Climent Cànaves
 */
@ManagedBean
@SessionScoped
public class ControladorUsuaris extends ControladorEntitats<Usuari> implements Serializable {
    
    
    
    @EJB
    GestorUsuaris gestor;
    @EJB
    GestorGrupsUsuaris gestorGrupsUsuaris;

    private String novaClau = null;
    
    private Usuari seleccioTaula;
    
    
    @Override
    public GestorUsuaris getGestor() {
        return gestor;
    }

    public String getNovaClau() {
        return novaClau;
    }

    public void setNovaClau(String novaClau) {
        this.novaClau = novaClau;
    }
    
    @Override
    public Usuari creaEntitat() {
        return new Usuari();
    }

    @Override
    public Usuari clonaEntitat(Usuari original) {
        Usuari entitat = null;

        try {
            entitat = gestor.cerca(original.getId());
        } catch (Exception e) {
        }

        return entitat;
    }

    public Usuari getSeleccioTaula() {
        return seleccioTaula;
    }

    public void setSeleccioTaula(Usuari seleccioTaula) {
        this.seleccioTaula = seleccioTaula;
    }
    
    public void canviaSeleccioTaula() {
        setSeleccio(seleccioTaula);
        setEdicioActivada(false);
    }
    
    
    @Override
    public String desa() {
        if ((novaClau != null) && (novaClau.length() != 0))
            super.getSeleccio().setClau(novaClau);
        
        return super.desa();
    }
    
    public DualListModel<GrupUsuaris> getAssignacioGrups() {     
        // Agafam la llista amb els grups assignats
        List<GrupUsuaris> grupsAssignats = getSeleccio().getLlistaGrupsAssignats();
            
        // Si no s'han trobat grups assignats.
        if (grupsAssignats == null)
            grupsAssignats = new ArrayList<GrupUsuaris>();
        
        // Agafam la llista amb tots els grups
        List<GrupUsuaris> grupsDisponibles = gestorGrupsUsuaris.cercaTots();
          
        // Eliminam els grups que ja s'han assignat.     
         grupsDisponibles.removeAll(grupsAssignats);
                
        return new DualListModel<GrupUsuaris>(grupsDisponibles, grupsAssignats);
    }
    
    
    
    public void setAssignacioGrups(DualListModel<GrupUsuaris> assignacioGrups) {

        System.out.println("Grups assignats");
        
        for (GrupUsuaris grup: assignacioGrups.getTarget()) {
            
            System.out.println("Grup:" + grup.getId());
                
       
            
        }
        
      getSeleccio().setLlistaGrupsAssignats(assignacioGrups.getTarget());
    }
}