package edu.iesdamiahuguet.gestcentre.jsf.conversors;

import edu.iesdamiahuguet.gestcentre.entitats.CategoriaInventari;
import edu.iesdamiahuguet.gestcentre.jsf.ControladorCategories;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;

/**
 *
 * @author climentc
 */

@FacesConverter(forClass = CategoriaInventari.class)
public class ConversorCategoriaInventari implements Converter {

    @Override
    public Object getAsObject(FacesContext facesContext, UIComponent component, String valor) {
        if (valor == null || valor.length() == 0) {
            return null;
        }
        ControladorCategories controlador = (ControladorCategories) facesContext.getApplication().getELResolver().
                getValue(facesContext.getELContext(), null, "controladorCategories");
        return controlador.getGestor().cerca(Integer.parseInt(valor));
    }


    @Override
    public String getAsString(FacesContext facesContext, UIComponent component, Object objecte) {
        if (objecte == null) {
            return null;
        } else if (objecte instanceof CategoriaInventari) {
            CategoriaInventari o = (CategoriaInventari) objecte;
            return o.getId().toString();
        } else {
            throw new IllegalArgumentException("object " + objecte + " is of type " + objecte.getClass().getName() + "; expected type: " + ControladorCategories.class.getName());
        }
    }
}
    
