package edu.iesdamiahuguet.gestcentre.jsf.conversors;

import edu.iesdamiahuguet.gestcentre.entitats.Document;
import edu.iesdamiahuguet.gestcentre.jsf.ControladorDocuments;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;

/**
 *
 * @author Climent Cànaves
 */
@FacesConverter(forClass = Document.class)
public class ConversorDocument implements Converter {

    @Override
    public Object getAsObject(FacesContext facesContext, UIComponent component, String valor) {
        if (valor == null || valor.length() == 0) {
            return null;
        }
        ControladorDocuments controlador = (ControladorDocuments) facesContext.getApplication().getELResolver().
                getValue(facesContext.getELContext(), null, "controladorDocuments");
        return controlador.getGestor().cerca(Integer.parseInt(valor));
    }


    @Override
    public String getAsString(FacesContext facesContext, UIComponent component, Object objecte) {
        if (objecte == null) {
            return null;
        } else if (objecte instanceof Document) {
            Document o = (Document) objecte;
            return o.getId().toString();
        } else {
            throw new IllegalArgumentException("object " + objecte + " is of type " + objecte.getClass().getName() + "; expected type: " + ControladorDocuments.class.getName());
        }
    }
}
