package edu.iesdamiahuguet.gestcentre.jsf.conversors;

import edu.iesdamiahuguet.gestcentre.entitats.GrupCategoriesInventari;
import edu.iesdamiahuguet.gestcentre.jsf.ControladorGrupsCategories;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;

/**
 *
 * @author Climent Cànaves
 */

@FacesConverter(forClass = GrupCategoriesInventari.class)
public class ConversorGrupCategories implements Converter {

    @Override
    public Object getAsObject(FacesContext facesContext, UIComponent component, String valor) {
        if (valor == null || valor.length() == 0) {
            return null;
        }
        ControladorGrupsCategories controlador = (ControladorGrupsCategories) facesContext.getApplication().getELResolver().
                getValue(facesContext.getELContext(), null, "controladorGrupsCategories");
        return controlador.getGestor().cerca(Integer.parseInt(valor));
    }


    @Override
    public String getAsString(FacesContext facesContext, UIComponent component, Object objecte) {
        if (objecte == null) {
            return null;
        } else if (objecte instanceof GrupCategoriesInventari) {
            GrupCategoriesInventari o = (GrupCategoriesInventari) objecte;
            return o.getId().toString();
        } else {
            throw new IllegalArgumentException("object " + objecte + " is of type " + objecte.getClass().getName() + "; expected type: " + ControladorGrupsCategories.class.getName());
        }
    }
}