package edu.iesdamiahuguet.gestcentre.jsf.conversors;

import edu.iesdamiahuguet.gestcentre.entitats.GrupUbicacionsInventari;
import edu.iesdamiahuguet.gestcentre.jsf.ControladorGrupsUbicacions;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;

/**
 *
 * @author Climent Cànaves
 */
@FacesConverter(forClass = GrupUbicacionsInventari.class)
public class ConversorGrupUbicacions implements Converter {

    @Override
    public Object getAsObject(FacesContext facesContext, UIComponent component, String valor) {
        if (valor == null || valor.length() == 0) {
            return null;
        }
        ControladorGrupsUbicacions controlador = (ControladorGrupsUbicacions) facesContext.getApplication().getELResolver().
                getValue(facesContext.getELContext(), null, "controladorGrupsUbicacions");
        return controlador.getGestor().cerca(Integer.parseInt(valor));
    }


    @Override
    public String getAsString(FacesContext facesContext, UIComponent component, Object objecte) {
        if (objecte == null) {
            return null;
        } else if (objecte instanceof GrupUbicacionsInventari) {
            GrupUbicacionsInventari o = (GrupUbicacionsInventari) objecte;
            return o.getId().toString();
        } else {
            throw new IllegalArgumentException("object " + objecte + " is of type " + objecte.getClass().getName() + "; expected type: " + ControladorGrupsUbicacions.class.getName());
        }
    }
}