package edu.iesdamiahuguet.gestcentre.jsf.conversors;

import edu.iesdamiahuguet.gestcentre.entitats.GrupUsuaris;
import edu.iesdamiahuguet.gestcentre.jsf.ControladorGrupsUsuaris;
import edu.iesdamiahuguet.gestcentre.jsf.ControladorUsuaris;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;

/**
 *
 * @author climentc
 */
@FacesConverter(value="conversorGrupUsuaris", forClass = GrupUsuaris.class)
public class ConversorGrupUsuaris implements Converter {

    @Override
    public Object getAsObject(FacesContext facesContext, UIComponent component, String valor) {
        if (valor == null || valor.length() == 0) {
            return null;
        }
        ControladorGrupsUsuaris controlador = (ControladorGrupsUsuaris) facesContext.getApplication().getELResolver().
                getValue(facesContext.getELContext(), null, "controladorGrupsUsuaris");
        
        return controlador.getGestor().cerca(valor);
    }


    @Override
    public String getAsString(FacesContext facesContext, UIComponent component, Object objecte) {
        if (objecte == null) {
            return null;
        } else if (objecte instanceof GrupUsuaris) {
            GrupUsuaris o = (GrupUsuaris) objecte;
            return o.getId();
        } else {
            throw new IllegalArgumentException("object " + objecte + " is of type " + objecte.getClass().getName() + "; expected type: " + ControladorUsuaris.class.getName());
        }
    }
}


    
    
