package edu.iesdamiahuguet.gestcentre.jsf.conversors;

import edu.iesdamiahuguet.gestcentre.entitats.ItemInventari;
import edu.iesdamiahuguet.gestcentre.jsf.ControladorItemsInventari;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;

/**
 *
 * @author climentc
 */

@FacesConverter(forClass = ItemInventari.class)
public class ConversorItemInventari implements Converter {

    @Override
    public Object getAsObject(FacesContext facesContext, UIComponent component, String valor) {
        if (valor == null || valor.length() == 0) {
            return null;
        }
        ControladorItemsInventari controlador = (ControladorItemsInventari) facesContext.getApplication().getELResolver().
                getValue(facesContext.getELContext(), null, "controladorItemsInventari");
        return controlador.getGestor().cerca(Integer.parseInt(valor));
    }


    @Override
    public String getAsString(FacesContext facesContext, UIComponent component, Object objecte) {
        if (objecte == null) {
            return null;
        } else if (objecte instanceof ItemInventari) {
            ItemInventari o = (ItemInventari) objecte;
            return o.getId().toString();
        } else {
            throw new IllegalArgumentException("object " + objecte + " is of type " + objecte.getClass().getName() + "; expected type: " + ControladorItemsInventari.class.getName());
        }
    }
}

    
    
