package edu.iesdamiahuguet.gestcentre.jsf.conversors;

import edu.iesdamiahuguet.gestcentre.entitats.Macroproces;
import edu.iesdamiahuguet.gestcentre.jsf.ControladorMacroprocessos;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;

/**
 *
 * @author climentc
 */

@FacesConverter(forClass = Macroproces.class)
public class ConversorMacroproces implements Converter {

    @Override
    public Object getAsObject(FacesContext facesContext, UIComponent component, String valor) {
        if (valor == null || valor.length() == 0) {
            return null;
        }
        ControladorMacroprocessos controlador = (ControladorMacroprocessos) facesContext.getApplication().getELResolver().
                getValue(facesContext.getELContext(), null, "controladorMacroprocessos");
        return controlador.getGestor().cerca(Integer.parseInt(valor));
    }


    @Override
    public String getAsString(FacesContext facesContext, UIComponent component, Object objecte) {
        if (objecte == null) {
            return null;
        } else if (objecte instanceof Macroproces) {
            Macroproces o = (Macroproces) objecte;
            return o.getId().toString();
        } else {
            throw new IllegalArgumentException("object " + objecte + " is of type " + objecte.getClass().getName() + "; expected type: " + ControladorMacroprocessos.class.getName());
        }
    }
}

