package edu.iesdamiahuguet.gestcentre.jsf.conversors;

import edu.iesdamiahuguet.gestcentre.entitats.PropietariInventari;
import edu.iesdamiahuguet.gestcentre.jsf.ControladorPropietaris;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;

/**
 *
 * @author climentc
 */

@FacesConverter(forClass = PropietariInventari.class)
public class ConversorPropietari implements Converter {

    @Override
    public Object getAsObject(FacesContext facesContext, UIComponent component, String valor) {
        if (valor == null || valor.length() == 0) {
            return null;
        }
        ControladorPropietaris controlador = (ControladorPropietaris) facesContext.getApplication().getELResolver().
                getValue(facesContext.getELContext(), null, "controladorPropietaris");
        return controlador.getGestor().cerca(Integer.parseInt(valor));
    }


    @Override
    public String getAsString(FacesContext facesContext, UIComponent component, Object objecte) {
        if (objecte == null) {
            return null;
        } else if (objecte instanceof PropietariInventari) {
            PropietariInventari o = (PropietariInventari) objecte;
            return o.getId().toString();
        } else {
            throw new IllegalArgumentException("object " + objecte + " is of type " + objecte.getClass().getName() + "; expected type: " + ControladorPropietaris.class.getName());
        }
    }
}

