package edu.iesdamiahuguet.gestcentre.jsf.conversors;

import edu.iesdamiahuguet.gestcentre.entitats.RegistreControl;
import edu.iesdamiahuguet.gestcentre.jsf.ControladorRegistresControl;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;

/**
 *
 * @author climentc
 */

@FacesConverter(forClass = RegistreControl.class)
public class ConversorRegistreControl implements Converter {

    @Override
    public Object getAsObject(FacesContext facesContext, UIComponent component, String valor) {
        if (valor == null || valor.length() == 0) {
            return null;
        }
        ControladorRegistresControl controlador = (ControladorRegistresControl) facesContext.getApplication().getELResolver().
                getValue(facesContext.getELContext(), null, "controladorRegistresControl");
        return controlador.getGestor().cerca(Integer.parseInt(valor));
    }


    @Override
    public String getAsString(FacesContext facesContext, UIComponent component, Object objecte) {
        if (objecte == null) {
            return null;
        } else if (objecte instanceof RegistreControl) {
            RegistreControl o = (RegistreControl) objecte;
            return o.getId().toString();
        } else {
            throw new IllegalArgumentException("object " + objecte + " is of type " + objecte.getClass().getName() + "; expected type: " + ControladorRegistresControl.class.getName());
        }
    }
}

