package edu.iesdamiahuguet.gestcentre.jsf.conversors;

import edu.iesdamiahuguet.gestcentre.entitats.RevisioDocument;
import edu.iesdamiahuguet.gestcentre.jsf.ControladorRevisionsDocuments;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;

/**
 *
 * @author climentc
 */

@FacesConverter(forClass = RevisioDocument.class)
public class ConversorRevisioDocument implements Converter {

    @Override
    public Object getAsObject(FacesContext facesContext, UIComponent component, String valor) {
        if (valor == null || valor.length() == 0) {
            return null;
        }
        ControladorRevisionsDocuments controlador = (ControladorRevisionsDocuments) facesContext.getApplication().getELResolver().
                getValue(facesContext.getELContext(), null, "controladorRevisionsDocuments");
        return controlador.getGestor().cerca(Integer.parseInt(valor));
    }

    @Override
    public String getAsString(FacesContext facesContext, UIComponent component, Object objecte) {
        if (objecte == null) {
            return null;
        } else if (objecte instanceof RevisioDocument) {
            RevisioDocument o = (RevisioDocument) objecte;
            return o.getId().toString();
        } else {
            throw new IllegalArgumentException("object " + objecte + " is of type " + objecte.getClass().getName() + "; expected type: " + ControladorRevisionsDocuments.class.getName());
        }
    }
}

