package edu.iesdamiahuguet.gestcentre.jsf.conversors;

import edu.iesdamiahuguet.gestcentre.entitats.TipusDocument;
import edu.iesdamiahuguet.gestcentre.jsf.ControladorTipusDocuments;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;

/**
 *
 * @author climentc
 */

@FacesConverter(forClass = TipusDocument.class)
public class ConversorTipusDocument implements Converter {

    @Override
    public Object getAsObject(FacesContext facesContext, UIComponent component, String valor) {
        if (valor == null || valor.length() == 0) {
            return null;
        }
        ControladorTipusDocuments controlador = (ControladorTipusDocuments) facesContext.getApplication().getELResolver().
                getValue(facesContext.getELContext(), null, "controladorTipusDocuments");
        return controlador.getGestor().cerca(valor);
    }


    @Override
    public String getAsString(FacesContext facesContext, UIComponent component, Object objecte) {
        if (objecte == null) {
            return null;
        } else if (objecte instanceof TipusDocument) {
            TipusDocument o = (TipusDocument) objecte;
            return o.getCodi();
        } else {
            throw new IllegalArgumentException("object " + objecte + " is of type " + objecte.getClass().getName() + "; expected type: " + ControladorTipusDocuments.class.getName());
        }
    }
}

