CREATE DATABASE  IF NOT EXISTS `GestCentre` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `GestCentre`;
-- MySQL dump 10.13  Distrib 5.5.22, for debian-linux-gnu (i686)
--
-- Host: localhost    Database: GestCentre
-- ------------------------------------------------------
-- Server version	5.5.22-0ubuntu1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `Tipus_document`
--

DROP TABLE IF EXISTS `Tipus_document`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Tipus_document` (
  `codi` varchar(2) NOT NULL,
  `nom` varchar(45) NOT NULL,
  `descripcio` varchar(45) NOT NULL,
  PRIMARY KEY (`codi`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Tipus_document`
--

LOCK TABLES `Tipus_document` WRITE;
/*!40000 ALTER TABLE `Tipus_document` DISABLE KEYS */;
/*!40000 ALTER TABLE `Tipus_document` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Indicador_control`
--

DROP TABLE IF EXISTS `Indicador_control`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Indicador_control` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `proces` int(11) NOT NULL,
  `codi` varchar(6) NOT NULL,
  `nom` varchar(45) NOT NULL,
  `descripcio` varchar(255) NOT NULL,
  `valorObjectiu` int(11) NOT NULL,
  `obsolet` tinyint(1) DEFAULT NULL,
  `responsable` varchar(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_Indicador_control_Proces1` (`proces`),
  KEY `fk_Indicador_control_Grup_Usuaris1` (`responsable`),
  CONSTRAINT `fk_Indicador_control_Grup_Usuaris1` FOREIGN KEY (`responsable`) REFERENCES `Grup_Usuaris` (`grup`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Indicador_control_Proces1` FOREIGN KEY (`proces`) REFERENCES `Proces` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Indicador_control`
--

LOCK TABLES `Indicador_control` WRITE;
/*!40000 ALTER TABLE `Indicador_control` DISABLE KEYS */;
/*!40000 ALTER TABLE `Indicador_control` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Grup_Categories_Inventari`
--

DROP TABLE IF EXISTS `Grup_Categories_Inventari`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Grup_Categories_Inventari` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(50) NOT NULL,
  `descripcio` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Grup_Categories_Inventari`
--

LOCK TABLES `Grup_Categories_Inventari` WRITE;
/*!40000 ALTER TABLE `Grup_Categories_Inventari` DISABLE KEYS */;
INSERT INTO `Grup_Categories_Inventari` VALUES (1,'General','Material d\'aula');
/*!40000 ALTER TABLE `Grup_Categories_Inventari` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Assignacio_grup`
--

DROP TABLE IF EXISTS `Assignacio_grup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Assignacio_grup` (
  `usuari` varchar(20) NOT NULL,
  `grup` varchar(20) NOT NULL,
  PRIMARY KEY (`usuari`,`grup`),
  KEY `fk_table1_Usuari1` (`usuari`),
  KEY `fk_table1_Grup_Usuaris1` (`grup`),
  CONSTRAINT `fk_table1_Grup_Usuaris1` FOREIGN KEY (`grup`) REFERENCES `Grup_Usuaris` (`grup`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_table1_Usuari1` FOREIGN KEY (`usuari`) REFERENCES `Usuari` (`usuari`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Assignacio_grup`
--

LOCK TABLES `Assignacio_grup` WRITE;
/*!40000 ALTER TABLE `Assignacio_grup` DISABLE KEYS */;
INSERT INTO `Assignacio_grup` VALUES ('administrador','administradors');
/*!40000 ALTER TABLE `Assignacio_grup` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Usuari`
--

DROP TABLE IF EXISTS `Usuari`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Usuari` (
  `usuari` varchar(20) NOT NULL,
  `clau` varchar(32) NOT NULL,
  `nom` varchar(50) DEFAULT NULL,
  `data_alta` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `data_baixa` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`usuari`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Usuari`
--

LOCK TABLES `Usuari` WRITE;
/*!40000 ALTER TABLE `Usuari` DISABLE KEYS */;
INSERT INTO `Usuari` VALUES ('administrador','1234','Administrador','2012-05-14 22:00:00',NULL),('ccanaves','','Climent Cànaves','2012-05-15 20:16:50',NULL),('mbarcelo','','Miquel Barceló','2012-05-15 20:16:50',NULL),('prova1','1234','prova1','2012-03-11 23:00:00',NULL);
/*!40000 ALTER TABLE `Usuari` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Registre_control`
--

DROP TABLE IF EXISTS `Registre_control`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Registre_control` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `indicador` int(11) NOT NULL,
  `valor` int(11) NOT NULL,
  `valorObjectiu` int(11) NOT NULL,
  `comentaris` text NOT NULL,
  `autor` varchar(20) NOT NULL,
  `data` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `fk_Registre_control_Indicador_control1` (`indicador`),
  KEY `fk_Registre_control_Usuari1` (`autor`),
  CONSTRAINT `fk_Registre_control_Indicador_control1` FOREIGN KEY (`indicador`) REFERENCES `Indicador_control` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Registre_control_Usuari1` FOREIGN KEY (`autor`) REFERENCES `Usuari` (`usuari`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Registre_control`
--

LOCK TABLES `Registre_control` WRITE;
/*!40000 ALTER TABLE `Registre_control` DISABLE KEYS */;
/*!40000 ALTER TABLE `Registre_control` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Grup_Ubicacions_Inventari`
--

DROP TABLE IF EXISTS `Grup_Ubicacions_Inventari`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Grup_Ubicacions_Inventari` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(50) NOT NULL,
  `descripcio` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Grup_Ubicacions_Inventari`
--

LOCK TABLES `Grup_Ubicacions_Inventari` WRITE;
/*!40000 ALTER TABLE `Grup_Ubicacions_Inventari` DISABLE KEYS */;
INSERT INTO `Grup_Ubicacions_Inventari` VALUES (1,'Classes','Aules de classe'),(2,'Informàtica','Aules d\'Informàtica'),(3,'Laboratoris','Laboratoris'),(4,'Tecnologia','Aules de Tecnologia'),(5,'Plàstica','Aules de plàstica'),(6,'Música','Aules de música'),(7,'Educació Física','Aules d\'Educació Física'),(8,'Departaments','Departaments'),(9,'Magatzems','Magatzems'),(10,'Altres','Altres espais');
/*!40000 ALTER TABLE `Grup_Ubicacions_Inventari` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Document`
--

DROP TABLE IF EXISTS `Document`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Document` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tipus` varchar(2) NOT NULL,
  `proces` int(11) NOT NULL,
  `codi` varchar(8) NOT NULL,
  `fitxer` blob,
  `data` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `autor` varchar(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_Document_Tipus_document1` (`tipus`),
  KEY `fk_Document_Usuari1` (`autor`),
  KEY `fk_Document_Proces1` (`proces`),
  CONSTRAINT `fk_Document_Proces1` FOREIGN KEY (`proces`) REFERENCES `Proces` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Document_Tipus_document1` FOREIGN KEY (`tipus`) REFERENCES `Tipus_document` (`codi`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Document_Usuari1` FOREIGN KEY (`autor`) REFERENCES `Usuari` (`usuari`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Document`
--

LOCK TABLES `Document` WRITE;
/*!40000 ALTER TABLE `Document` DISABLE KEYS */;
/*!40000 ALTER TABLE `Document` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Incidencia_Inventari`
--

DROP TABLE IF EXISTS `Incidencia_Inventari`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Incidencia_Inventari` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item` int(11) DEFAULT NULL,
  `ubicacio` int(11) NOT NULL,
  `autor_obertura` varchar(20) NOT NULL,
  `data_obertura` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `descripcio` text NOT NULL,
  `observacions` text,
  `autor_tancament` varchar(20) DEFAULT NULL,
  `data_tancament` timestamp NULL DEFAULT NULL,
  `actuacio` text,
  PRIMARY KEY (`id`),
  KEY `fk_Incidencia_Inventari_Item_Inventari1` (`item`),
  KEY `fk_Incidencia_Inventari_Ubicacio_Inventari1` (`ubicacio`),
  KEY `fk_Incidencia_Inventari_Usuari1` (`autor_obertura`),
  KEY `fk_Incidencia_Inventari_Usuari2` (`autor_tancament`),
  CONSTRAINT `fk_Incidencia_Inventari_Item_Inventari1` FOREIGN KEY (`item`) REFERENCES `Item_Inventari` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Incidencia_Inventari_Ubicacio_Inventari1` FOREIGN KEY (`ubicacio`) REFERENCES `Ubicacio_Inventari` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Incidencia_Inventari_Usuari1` FOREIGN KEY (`autor_obertura`) REFERENCES `Usuari` (`usuari`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Incidencia_Inventari_Usuari2` FOREIGN KEY (`autor_tancament`) REFERENCES `Usuari` (`usuari`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Incidencia_Inventari`
--

LOCK TABLES `Incidencia_Inventari` WRITE;
/*!40000 ALTER TABLE `Incidencia_Inventari` DISABLE KEYS */;
INSERT INTO `Incidencia_Inventari` VALUES (1,NULL,2,'mbarcelo','2012-05-14 22:00:00','L\'ordinador del professorat. La pantalla no funciona correctament en l\'entorn Windows','S\'ha avisat en Climent',NULL,NULL,''),(2,NULL,6,'mbarcelo','2012-05-14 22:00:00','El grifo del gimnàs no tanca bé.','Ha identificat el problema na Xisca Mas.','mbarcelo','2012-05-14 22:00:00','En Miquel Gayà ha revisat el grifo i no hi ha trobat malfuncionament.'),(3,NULL,6,'mbarcelo','2012-05-14 22:00:00','Les dutxes no tenen prou pressió.','En Miquel Gayà estudiarà la possibilitat de millorar la pressió de les dutxes.',NULL,NULL,'');
/*!40000 ALTER TABLE `Incidencia_Inventari` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Macroproces`
--

DROP TABLE IF EXISTS `Macroproces`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Macroproces` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `codi` varchar(2) NOT NULL,
  `nom` varchar(45) NOT NULL,
  `descripcio` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Macroproces`
--

LOCK TABLES `Macroproces` WRITE;
/*!40000 ALTER TABLE `Macroproces` DISABLE KEYS */;
/*!40000 ALTER TABLE `Macroproces` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Propietari_Inventari`
--

DROP TABLE IF EXISTS `Propietari_Inventari`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Propietari_Inventari` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(20) NOT NULL,
  `descripcio` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_nom_proveidor_inventari` (`nom`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Propietari_Inventari`
--

LOCK TABLES `Propietari_Inventari` WRITE;
/*!40000 ALTER TABLE `Propietari_Inventari` DISABLE KEYS */;
INSERT INTO `Propietari_Inventari` VALUES (2,'El centre',''),(3,'AMIPA','');
/*!40000 ALTER TABLE `Propietari_Inventari` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Revisio_document`
--

DROP TABLE IF EXISTS `Revisio_document`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Revisio_document` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `document` int(11) NOT NULL,
  `revisio` int(11) NOT NULL,
  `data` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `motius` text NOT NULL,
  `autor` varchar(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_Revisio_document_Document1` (`document`),
  KEY `fk_Revisio_document_Usuari1` (`autor`),
  CONSTRAINT `fk_Revisio_document_Document1` FOREIGN KEY (`document`) REFERENCES `Document` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Revisio_document_Usuari1` FOREIGN KEY (`autor`) REFERENCES `Usuari` (`usuari`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Revisio_document`
--

LOCK TABLES `Revisio_document` WRITE;
/*!40000 ALTER TABLE `Revisio_document` DISABLE KEYS */;
/*!40000 ALTER TABLE `Revisio_document` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Baixa_Item_Inventari`
--

DROP TABLE IF EXISTS `Baixa_Item_Inventari`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Baixa_Item_Inventari` (
  `id` int(11) NOT NULL,
  `autor` varchar(20) NOT NULL,
  `data_baixa` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `motiu` text,
  PRIMARY KEY (`id`),
  KEY `fk_BaixaItemInventari_Usuari1` (`autor`),
  CONSTRAINT `fk_BaixaItemInventari_Usuari1` FOREIGN KEY (`autor`) REFERENCES `Usuari` (`usuari`) ON UPDATE NO ACTION,
  CONSTRAINT `fk_Baixa_Item_Inventari_Item_Inventari1` FOREIGN KEY (`id`) REFERENCES `Item_Inventari` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Baixa_Item_Inventari`
--

LOCK TABLES `Baixa_Item_Inventari` WRITE;
/*!40000 ALTER TABLE `Baixa_Item_Inventari` DISABLE KEYS */;
/*!40000 ALTER TABLE `Baixa_Item_Inventari` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Item_Inventari`
--

DROP TABLE IF EXISTS `Item_Inventari`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Item_Inventari` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `categoria` int(11) NOT NULL,
  `ubicacio` int(11) NOT NULL,
  `nom` varchar(45) NOT NULL,
  `descripcio` text,
  `observacions` text,
  `autor` varchar(20) NOT NULL,
  `data_alta` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `propietari` int(11) NOT NULL,
  `proveidor` int(11) NOT NULL,
  `unitats` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `fk_ItemInventari_Ubicacio_Inventari1` (`ubicacio`),
  KEY `fk_ItemInventari_Usuari1` (`autor`),
  KEY `fk_Item_Inventari_Propietari_Inventari1` (`propietari`),
  KEY `fk_Item_Inventari_Categoria_Inventari1` (`categoria`),
  KEY `fk_Item_Inventari_Proveidor_Inventari1` (`proveidor`),
  CONSTRAINT `fk_Item_Inventari_Categoria_Inventari1` FOREIGN KEY (`categoria`) REFERENCES `Categoria_Inventari` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Item_Inventari_Propietari_Inventari1` FOREIGN KEY (`propietari`) REFERENCES `Propietari_Inventari` (`id`) ON UPDATE NO ACTION,
  CONSTRAINT `fk_Item_Inventari_Proveidor_Inventari1` FOREIGN KEY (`proveidor`) REFERENCES `Proveidor_Inventari` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Item_Inventari_Ubicacio_Inventari1` FOREIGN KEY (`ubicacio`) REFERENCES `Ubicacio_Inventari` (`id`) ON UPDATE NO ACTION,
  CONSTRAINT `fk_Item_Inventari_Usuari1` FOREIGN KEY (`autor`) REFERENCES `Usuari` (`usuari`) ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Item_Inventari`
--

LOCK TABLES `Item_Inventari` WRITE;
/*!40000 ALTER TABLE `Item_Inventari` DISABLE KEYS */;
INSERT INTO `Item_Inventari` VALUES (1,1,2,'Taula de professor','Taula de professor','','administrador','2012-05-14 22:00:00',2,2,1),(2,1,2,'Cadira de professor','Cadira de professor','','administrador','2012-05-14 22:00:00',2,2,1),(3,1,2,'Taula d\'alumne','','','administrador','2012-05-14 22:00:00',2,2,20),(4,1,2,'Cadira d\'alumne','Cadira d\'alumne','','administrador','2012-05-16 22:00:00',2,2,20),(5,1,2,'Prestatges','','','administrador','2012-05-16 22:00:00',2,2,2),(6,1,2,'Armaris','','','administrador','2012-05-16 22:00:00',2,2,2),(7,1,2,'Pissarra','','','administrador','2012-05-16 22:00:00',2,2,1),(8,1,2,'Penjadors','','','administrador','2012-05-16 22:00:00',2,2,1),(15,1,1,'2','3','1','ccanaves','2012-06-05 22:00:00',2,2,1),(18,1,2,'Pissarra','','','prova1','2012-05-16 22:00:00',2,2,1),(19,1,2,'Cadira d\'alumne','Cadira d\'alumne','','prova1','2012-05-16 22:00:00',2,2,20),(20,1,2,'Penjadors','','','prova1','2012-05-16 22:00:00',2,2,1),(21,1,2,'Armaris','','','prova1','2012-05-16 22:00:00',2,2,2),(22,1,2,'Cadira de professor','Cadira de professor','','prova1','2012-05-14 22:00:00',2,2,1),(23,1,2,'Prestatges','','','prova1','2012-05-16 22:00:00',2,2,2),(24,1,2,'Taula de professor','Taula de professor','','prova1','2012-05-14 22:00:00',2,2,1),(25,1,2,'Taula d\'alumne','','','prova1','2012-05-14 22:00:00',2,2,20);
/*!40000 ALTER TABLE `Item_Inventari` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Resposta_Solicitud_Compra`
--

DROP TABLE IF EXISTS `Resposta_Solicitud_Compra`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Resposta_Solicitud_Compra` (
  `solicitud` int(11) NOT NULL,
  `responsable` varchar(20) NOT NULL,
  `data` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `observacions` text,
  PRIMARY KEY (`solicitud`),
  KEY `fk_Resposta_Solicitud_Compra_Usuari1` (`responsable`),
  CONSTRAINT `fk_Resposta_Solicitud_Compra_Solicitud_Compra1` FOREIGN KEY (`solicitud`) REFERENCES `Solicitud_Compra` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Resposta_Solicitud_Compra_Usuari1` FOREIGN KEY (`responsable`) REFERENCES `Usuari` (`usuari`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Resposta_Solicitud_Compra`
--

LOCK TABLES `Resposta_Solicitud_Compra` WRITE;
/*!40000 ALTER TABLE `Resposta_Solicitud_Compra` DISABLE KEYS */;
/*!40000 ALTER TABLE `Resposta_Solicitud_Compra` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Grup_Usuaris`
--

DROP TABLE IF EXISTS `Grup_Usuaris`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Grup_Usuaris` (
  `grup` varchar(20) NOT NULL,
  `descripcio` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`grup`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Grup_Usuaris`
--

LOCK TABLES `Grup_Usuaris` WRITE;
/*!40000 ALTER TABLE `Grup_Usuaris` DISABLE KEYS */;
INSERT INTO `Grup_Usuaris` VALUES ('administradors','administrador');
/*!40000 ALTER TABLE `Grup_Usuaris` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Ubicacio_Inventari`
--

DROP TABLE IF EXISTS `Ubicacio_Inventari`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Ubicacio_Inventari` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(20) NOT NULL,
  `descripcio` varchar(50) DEFAULT NULL,
  `grup_ubicacions` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `nom_ubucacio_inventari` (`nom`),
  KEY `fk_Ubicacio_Inventari_Grups_Ubicacions_Inventari1` (`grup_ubicacions`),
  CONSTRAINT `fk_Ubicacio_Inventari_Grups_Ubicacions_Inventari1` FOREIGN KEY (`grup_ubicacions`) REFERENCES `Grup_Ubicacions_Inventari` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Ubicacio_Inventari`
--

LOCK TABLES `Ubicacio_Inventari` WRITE;
/*!40000 ALTER TABLE `Ubicacio_Inventari` DISABLE KEYS */;
INSERT INTO `Ubicacio_Inventari` VALUES (1,'Aula 1','Aula 1',1),(2,'Aula 2','Aula 2',1),(3,'Aula 3','Aula 3',1),(4,'Aula 4','Aula 4',1),(6,'GImnàs','Gimnàs',1);
/*!40000 ALTER TABLE `Ubicacio_Inventari` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Proces`
--

DROP TABLE IF EXISTS `Proces`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Proces` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `macroproces` int(11) NOT NULL,
  `codi` varchar(4) NOT NULL,
  `nom` varchar(45) NOT NULL,
  `descripcio` varchar(255) NOT NULL,
  `responsable` varchar(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_Proces_Grup_Usuaris1` (`responsable`),
  KEY `fk_Proces_Macroproces1` (`macroproces`),
  CONSTRAINT `fk_Proces_Grup_Usuaris1` FOREIGN KEY (`responsable`) REFERENCES `Grup_Usuaris` (`grup`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Proces_Macroproces1` FOREIGN KEY (`macroproces`) REFERENCES `Macroproces` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Proces`
--

LOCK TABLES `Proces` WRITE;
/*!40000 ALTER TABLE `Proces` DISABLE KEYS */;
/*!40000 ALTER TABLE `Proces` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Solicitud_Compra`
--

DROP TABLE IF EXISTS `Solicitud_Compra`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Solicitud_Compra` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `responsable` varchar(20) NOT NULL,
  `data_solicitud` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `proveidor` int(11) DEFAULT NULL,
  `descripcio` text NOT NULL,
  `justificacio` text NOT NULL,
  `observacions` text,
  `estat` enum('solicitada','acceptada','rebutjada','espera','tancada') DEFAULT 'solicitada',
  `data_resolucio` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_Solicitud_compra_Proveidor_Inventari1` (`proveidor`),
  KEY `fk_Solicitud_compra_Usuari1` (`responsable`),
  CONSTRAINT `fk_Solicitud_compra_Proveidor_Inventari1` FOREIGN KEY (`proveidor`) REFERENCES `Proveidor_Inventari` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Solicitud_compra_Usuari1` FOREIGN KEY (`responsable`) REFERENCES `Usuari` (`usuari`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Solicitud_Compra`
--

LOCK TABLES `Solicitud_Compra` WRITE;
/*!40000 ALTER TABLE `Solicitud_Compra` DISABLE KEYS */;
INSERT INTO `Solicitud_Compra` VALUES (1,'mbarcelo','2012-05-03 22:00:00',76,'6 USB 4Gb = 45€','Preparació proves IAQSE','Només se\'n van comprar 2 perquè no n\'hi havia més.','tancada',NULL),(2,'administrador','2012-05-03 22:00:00',146,'USB 32 Gb + USB 16 Gb\r\nUns 40€','Són necessaris per les còpies de seguretat de la dotació Xarxipèlag.','Acceptada','acceptada',NULL),(3,'prova1','2012-05-03 22:00:00',146,'USB 32 Gb + USB 16 Gb\r\nUns 40€','Són necessaris per les còpies de seguretat de la dotació Xarxipèlag.','Acceptada','acceptada',NULL);
/*!40000 ALTER TABLE `Solicitud_Compra` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Categoria_Inventari`
--

DROP TABLE IF EXISTS `Categoria_Inventari`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Categoria_Inventari` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `grup_categories` int(11) NOT NULL,
  `nom` varchar(50) NOT NULL,
  `descripcio` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_Categoria_Inventari_Grup_Categories_Inventari1` (`grup_categories`),
  CONSTRAINT `fk_Categoria_Inventari_Grup_Categories_Inventari1` FOREIGN KEY (`grup_categories`) REFERENCES `Grup_Categories_Inventari` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Categoria_Inventari`
--

LOCK TABLES `Categoria_Inventari` WRITE;
/*!40000 ALTER TABLE `Categoria_Inventari` DISABLE KEYS */;
INSERT INTO `Categoria_Inventari` VALUES (1,1,'Material d\'aula','Material d\'aula');
/*!40000 ALTER TABLE `Categoria_Inventari` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Proveidor_Inventari`
--

DROP TABLE IF EXISTS `Proveidor_Inventari`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Proveidor_Inventari` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cif` varchar(9) NOT NULL,
  `nom` varchar(45) NOT NULL,
  `descripcio` varchar(255) DEFAULT NULL,
  `telefon` varchar(45) DEFAULT NULL,
  `web` varchar(255) DEFAULT NULL,
  `adreca` varchar(255) DEFAULT NULL,
  `estat` enum('homologat','deshomologat','ambAvisos') DEFAULT 'homologat',
  `data_alta` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `incidencies` text,
  `observacions` text,
  PRIMARY KEY (`id`),
  KEY `idx_nom_propietari_inventari` (`nom`)
) ENGINE=InnoDB AUTO_INCREMENT=149 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Proveidor_Inventari`
--

LOCK TABLES `Proveidor_Inventari` WRITE;
/*!40000 ALTER TABLE `Proveidor_Inventari` DISABLE KEYS */;
INSERT INTO `Proveidor_Inventari` VALUES (2,'A47051461','Conselleria',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:50',NULL,NULL),(3,'B07598956','Distribucions Aloy',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:50',NULL,NULL),(4,'A79408720','Anaya',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:50',NULL,NULL),(5,'E57341109','Electrodomèstics Milar',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:50',NULL,NULL),(6,'B82983826','Antalis Office Supplies, S.L.',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:50',NULL,NULL),(7,'41393108P','Sanelec',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:51',NULL,NULL),(8,'B85294916','Arsys Internet',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:51',NULL,NULL),(9,'42997974A','Papereria Adrover',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:51',NULL,NULL),(10,'37340524R','Pastisseria Ses Delicies',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:51',NULL,NULL),(11,'B07175615','Axa Universa, Sl',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:51',NULL,NULL),(12,'A07052566','Bendix S.A.',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:51',NULL,NULL),(13,'18219521W','Bicicletes S\'Escapada',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:51',NULL,NULL),(14,'B07284227','Biolinea',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:51',NULL,NULL),(15,'B07277627','Libreria Book-Inn','','','http://www.google.es',NULL,'homologat','2012-05-14 22:00:00','',''),(16,'A78129970','Booksellers, Sa',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:51',NULL,NULL),(17,'B07800956','Supermercat Ca.N Melero',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:51',NULL,NULL),(18,'B59165563','Cadena Joma\'S S.L.',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:51',NULL,NULL),(19,'A28425270','Carrefour',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:51',NULL,NULL),(21,'B07168487','Casa Vila S.L.',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:51',NULL,NULL),(22,'78206751N','Ansa Per Ansa',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:51',NULL,NULL),(23,'B57046450','Can Ros Campos S.L.',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:51',NULL,NULL),(24,'B95390761','Eroski',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:51',NULL,NULL),(25,'B07854508','City Clean, Sl',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:52',NULL,NULL),(26,'B07600521','Clean Market, S.L.',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:52',NULL,NULL),(27,'A28388510','Cesma, S.A.',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:52',NULL,NULL),(28,'A07436900','Ferreteria Ca\'N Janer , S.A',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:52',NULL,NULL),(29,'E57667487','Can Jardins Cb',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:52',NULL,NULL),(30,'A07449218','Gráficas Madrid',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:52',NULL,NULL),(31,'A79935607','Decathlon',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:52',NULL,NULL),(32,'A08292211','Digec, S.A.',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:52',NULL,NULL),(33,'B57066938','Disprokin Balear S.L.',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:52',NULL,NULL),(34,'B07250343','Distribuciones Sillero,S.L.',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:52',NULL,NULL),(35,'B07039514','Distribuidora Rotger',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:52',NULL,NULL),(36,'A07152382','Don Telas',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:52',NULL,NULL),(37,'B60059300','Octaedro',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:52',NULL,NULL),(38,'A78187952','Ediciones Peldaño, S.A.',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:52',NULL,NULL),(39,'A07015845','Editora Balear S.A.',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:52',NULL,NULL),(40,'B07080419','Editorial Moll',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:52',NULL,NULL),(41,'A08186249','Editorial Planeta',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:52',NULL,NULL),(42,'B02430387','Educlas',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:52',NULL,NULL),(43,'B07625460','Ee.Ss Fontanet',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:52',NULL,NULL),(44,'B17667643','Additio',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:52',NULL,NULL),(45,'B62124797','Eix Estels',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:53',NULL,NULL),(46,'A28017895','El Corte Inglés',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:53',NULL,NULL),(47,'A07055056','Llibreries Drac Magic, Aloma, Jaume De Montso',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:53',NULL,NULL),(48,'B07820723','Emotits Es Figueral Sl',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:53',NULL,NULL),(49,'B57170813','Es Raco De Son Duri S.L.',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:53',NULL,NULL),(50,'A59913509','Casa Del Libro',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:53',NULL,NULL),(51,'A28467439','Ed. Altaya Sa',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:53',NULL,NULL),(52,'A08148991','Ediciones 62',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:53',NULL,NULL),(53,'A08141038','Editorial Teide',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:53',NULL,NULL),(54,'B57098139','El Globo Libros S.L.',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:53',NULL,NULL),(55,'A07071681','Eurocarnavales',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:53',NULL,NULL),(56,'B57111528','Feim Esport',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:53',NULL,NULL),(57,'42989667E','Ferreteria Gaya',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:53',NULL,NULL),(58,'B57557894','Ferreteria Tramuntana S.L.',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:53',NULL,NULL),(59,'E07475593','Ferretjans I Barcelo',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:53',NULL,NULL),(60,'78185482H','Floristeria C\'An Pelliseta',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:53',NULL,NULL),(61,'B07698095','Forn Ca\'N Nadal S.L.',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:53',NULL,NULL),(62,'43036129R','Francisco Bolaños Fernandez',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:53',NULL,NULL),(63,'43161423Z','Serviaguas',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:53',NULL,NULL),(64,'B07740970','Garcias Manresa S.L.',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:53',NULL,NULL),(65,'B62584172','Gesport Balear, S.L.',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:53',NULL,NULL),(66,'B62179775','Grup Editorial 62',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:53',NULL,NULL),(67,'A78603479','Macmillan Heinemann',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:54',NULL,NULL),(68,'A58675513','Hermex Iberica, Sa',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:54',NULL,NULL),(69,'B73296105','Humanitel',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:54',NULL,NULL),(70,'B92260538','Iberica Sur',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:54',NULL,NULL),(71,'B58583568','Editorial Graó',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:54',NULL,NULL),(72,'A85934784','Interflora Es',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:54',NULL,NULL),(73,'A07678170','Mueller S.A',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:54',NULL,NULL),(74,'B41018292','Itaca, Sl',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:54',NULL,NULL),(75,'43036249Y','Impremta Adrover',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:54',NULL,NULL),(76,'18225974S','Informàtica Ripoll',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:54',NULL,NULL),(77,'71092077C','Jaime Roig Lladó',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:54',NULL,NULL),(78,'42949600K','Juan Mesquida Roser',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:54',NULL,NULL),(79,'B57028334','Jardín De Llucmajor',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:54',NULL,NULL),(80,'10793255E','Libreria Aurea Clasicos',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:54',NULL,NULL),(81,'B57352700','Gràfiques Mallorca',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:54',NULL,NULL),(82,'A07002009','La Filadora',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:54',NULL,NULL),(83,'B41508300','La Flor De Estepa, Sl',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:54',NULL,NULL),(84,'B63950240','Labbox',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:54',NULL,NULL),(85,'78190451L','Lda.Francisca Adrover Mas',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:54',NULL,NULL),(86,'E07934979','Lds.M.Vidal Verger-S.Obrador Vidal',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:54',NULL,NULL),(87,'B84818442','Leroy Merlin',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:54',NULL,NULL),(88,'B07649528','Q. Books, Sl',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:55',NULL,NULL),(89,'A60195278','Lidl',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:55',NULL,NULL),(90,'43070512E','Lluc Ordinas Gelabert-Ganiveteria Ordinas',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:55',NULL,NULL),(91,'B61606083','Los Andes',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:55',NULL,NULL),(92,'A79206223','Antalis Lyreco',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:55',NULL,NULL),(93,'A07032394','Mallorquimica S.A',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:55',NULL,NULL),(94,'43064273Q','Domas',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:55',NULL,NULL),(95,'41400693A','Distribuciones Burguera',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:55',NULL,NULL),(96,'43071002Y','Miguel Salva Mojer',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:55',NULL,NULL),(97,'41516870F','Taller D\'Enquadercació Lluïsa',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:55',NULL,NULL),(98,'A46103834','Mercadona',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:55',NULL,NULL),(99,'B80378409','Micro-Log',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:55',NULL,NULL),(100,'78199490L','Miquel Adrover',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:55',NULL,NULL),(101,'B57118994','Neumaticos Y Servicios Palenzuela S.L.U.',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:55',NULL,NULL),(102,'B07816788','Carlin',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:55',NULL,NULL),(103,'B07045834','Embat - Quars - Born De Llibres',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:55',NULL,NULL),(104,'B31152614','Editorial Pamiela S.L',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:55',NULL,NULL),(105,'E57364457','Papeleria 45Cb',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:55',NULL,NULL),(106,'E57646952','Papelerias Company',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:55',NULL,NULL),(107,'43019843E','Papereria A Roig',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:55',NULL,NULL),(108,'A81927964','Pc City',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:55',NULL,NULL),(109,'41385789A','Pedro J Miro Campos',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:56',NULL,NULL),(110,'42958802T','Pinturas Recó',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:56',NULL,NULL),(111,'E57658619','Planter Ca Na Justa',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:56',NULL,NULL),(112,'B07765845','Plaça 18 S.L',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:56',NULL,NULL),(113,'A07143548','Pomar',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:56',NULL,NULL),(114,'Q4618001D','Publicacions De L\'Universitat De València',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:56',NULL,NULL),(115,'B57170656','Quirogalab',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:56',NULL,NULL),(116,'B07126667','Quart Creixent',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:56',NULL,NULL),(117,'A80817281','Raesa',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:56',NULL,NULL),(118,'A08694689','Rba Edipresse, S.L.',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:56',NULL,NULL),(119,'B64610389','Rba Edipresse',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:56',NULL,NULL),(120,'A58942251','Rba Revistas, S.A',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:56',NULL,NULL),(121,'G07070196','Revista \"Ressò\"',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:56',NULL,NULL),(122,'B57164261','Riskol',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:56',NULL,NULL),(123,'B57592511','Sa Bugaderia De Campos S.L.',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:56',NULL,NULL),(124,'A07172133','Sa Cimentera S.A.',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:56',NULL,NULL),(125,'A35474832','Ikea',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:56',NULL,NULL),(126,'A57017220','Eroski-Syp',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:56',NULL,NULL),(127,'B57124539','Joan Taller Gràfic',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:56',NULL,NULL),(128,'A03154473','Tecnausa',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:56',NULL,NULL),(129,'B07056252','Telim',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:56',NULL,NULL),(130,'B07628779','Temel',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:56',NULL,NULL),(131,'B07861065','Teulera Can Benito, S.L.',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:57',NULL,NULL),(132,'78184417B','Tomeu Barcelo Barcelo',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:57',NULL,NULL),(133,'B07757958','Tonerclass, Sl',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:57',NULL,NULL),(134,'B83082917','Ultraclean',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:57',NULL,NULL),(135,'B57394249','Vanrell Electrodomestics',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:57',NULL,NULL),(136,'A10005510','Viajes Halcón, Sa',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:57',NULL,NULL),(137,'A08372351','Vicens Vives',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:57',NULL,NULL),(138,'B07636822','Video Art 7',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:57',NULL,NULL),(139,'B57016644','Vidres Xisco',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:57',NULL,NULL),(140,'B57257974','Viatges Gorg Blau S.L.',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:57',NULL,NULL),(141,'A58417346','Cisspraxis, Sa',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:57',NULL,NULL),(142,'B07100456','Xocolat Centre',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:57',NULL,NULL),(143,'A28018380','Clh',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:57',NULL,NULL),(144,'E57386856','Ferreteria Sa Placeta 2006 Cb',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:57',NULL,NULL),(145,'43028821F','Pinturas G. Sastre',NULL,NULL,NULL,NULL,'homologat','2012-05-15 20:09:57',NULL,NULL),(146,'A12556673','Informàtica Llucmajor',NULL,NULL,NULL,NULL,'homologat','2012-05-17 04:16:55',NULL,NULL),(147,'S22121212','Bontek, S.L.',NULL,NULL,NULL,NULL,'homologat','2012-05-17 04:16:55',NULL,NULL),(148,'123221','1212121','212121','212121','21212',NULL,'homologat','2012-06-02 22:00:00','21212121','1212121');
/*!40000 ALTER TABLE `Proveidor_Inventari` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Revisio_Inventari`
--

DROP TABLE IF EXISTS `Revisio_Inventari`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Revisio_Inventari` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `autor` varchar(20) NOT NULL,
  `observacions` text,
  `data` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ubicacio` int(11) NOT NULL,
  `categoria` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_Revisio_Inventari_Usuari1` (`autor`),
  KEY `fk_Revisio_Inventari_Ubicacio_Inventari1` (`ubicacio`),
  KEY `fk_Revisio_Inventari_Categoria_Inventari1` (`categoria`),
  CONSTRAINT `fk_Revisio_Inventari_Categoria_Inventari1` FOREIGN KEY (`categoria`) REFERENCES `Categoria_Inventari` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Revisio_Inventari_Ubicacio_Inventari1` FOREIGN KEY (`ubicacio`) REFERENCES `Ubicacio_Inventari` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Revisio_Inventari_Usuari1` FOREIGN KEY (`autor`) REFERENCES `Usuari` (`usuari`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Revisio_Inventari`
--

LOCK TABLES `Revisio_Inventari` WRITE;
/*!40000 ALTER TABLE `Revisio_Inventari` DISABLE KEYS */;
/*!40000 ALTER TABLE `Revisio_Inventari` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-06-04 22:49:41
